<?php 

list($mainCategories,$subCategories,$allCategoriesData) = $zstore->getCategories();

$catRowBase = "<tr data-id='[id]' data-parent='[parent]' data-type='[CATTYPE]' data-family-id='[FAMID]'>
  		<td class='cell-descr [statusClass] [CATCELLCLASS]'><i class='fa fa-fw [CATICON] text-secondary child-indicator'></i><span>[DESCR]</span>[ITEMCOUNT]</td>
  		<td class='cell-tools text-right [ADD2BUTTONCELLCLASS]'>
	  		<div class='btn-group btn-group-xs' [DATAHELP2]  data-placement='left'>
	  				<button type='button' class='btn btn-outline-secondary btn-xs js-btn-add-category [ADDSUBCATBTN]' data-add-for-parent='[id]'><i class='fa fa-plus'></i></button>
	  		</div>
  			<div class='btn-group btn-group-xs' [DATAHELP]  data-placement='top'>
  				<button type='button' class='btn btn-danger js-btn-remove-cat'><i class='fa fa-remove'></i></button>
  				<button type='button' class='btn btn-outline-secondary js-btn-chgstat-cat' data-status='[status]'><i class='fa fa-playpause'></i></button>
  				<button type='button' class='btn btn-primary js-btn-edit-cat'><i class='fa fa-pencil'></i></button>
  				<a href='[CATLINK]' class='btn btn-outline-info open-external js-btn-cat-link'><i class='fa fa-external-link'></i></a>
  				<button type='button' class='btn btn-outline-secondary js-btn-promote-cat' data-top-cat='[top_cat]'><i class='fa fa-star-o'></i></button>
  				<button type='button' class='btn btn-outline-secondary js-btn-pos-cat' data-dir='up'><i class='fa fa-sort-asc'></i></button>
  				<button type='button' class='btn btn-outline-secondary js-btn-pos-cat' data-dir='down'><i class='fa fa-sort-desc'></i></button>
  		</div>
  		</td>
  	</tr>";
  			// <span [DATAHELP2] data-placement='left' class='xyz' style='z-index:1041'><button type='button' class='btn btn-outline-secondary btn-xs js-btn-add-category [ADDSUBCATBTN]' data-add-for-parent='[id]'><i class='fa fa-plus'></i></button></span>


?>

<h2><i class='fa fa-sitemap'></i> Catégories des Produits
	<?php
		if ($mainCategories) {
			echo "<button type='button' class='btn btn-outline-secondary js-help btn-sm' data-helpsection='categories'><i class='fa fa-question-circle'></i></button>";
		}
	?></h2>
<p>Les catégories sont destinées à organiser vos articles. Les catégories peuvent également être affichées dans la barre de navigation</p>


<button type='button' class='btn btn-primary pull-right js-btn-add-category'><i class='fa fa-plus'></i> Ajouter Une Catégorie</button>

<div class='clearfix'></div><br />

<div class='helpsection-categories'>

<table class="table table-hover table-product-categories">
	<tbody>
		<?php
		$i=0;
		$dataHelpText = 'data-help-text=\'
			<i class="fa fa-fw fa-remove"></i> supprimer la catégorie<br />
			<i class="fa fa-fw fa-pause"></i> retirer la catégorie de la liste<br />
			<i class="fa fa-fw fa-play"></i> activer la catégorie dans les listes<br />
			<i class="fa fa-fw fa-pencil"></i> modifier la catégorie<br />
			<i class="fa fa-fw fa-external-link"></i> ouvrir le lien vers la catégorie<br />
			<i class="fa fa-fw fa-star"></i> top catégorie<br /><i class="fa fa-fw"></i> <em>Son utilisation dépend du theme</em><br />
			<i class="fa fa-fw fa-sort-asc"></i> déplacer la catégorie vers le haut dans (parent)liste<br />
			<i class="fa fa-fw fa-sort-desc"></i> déplacer la catégorie vers le bas dans (parent)liste\'';
		$dataHelpText2 = 'data-help-text=\'ajouter une sous-catégorie\'';
		$add2buttonCellClass = "helpsection-categories";
		foreach ($mainCategories as $row) {
			$find = array(
				"[id]", 
				"[parent]", 
				"[DESCR]",
				"[ITEMCOUNT]",
				"[CATLINK]",
				"[statusClass]",
				"fa-playpause", 
				"[status]", 
				"[top_cat]",
				"fa-star-o",
				"[DATAHELP]",
				"[DATAHELP2]",
				"[ADD2BUTTONCELLCLASS]",
				"[CATICON]",
				"[ADDSUBCATBTN]",
				"[CATCELLCLASS]",
				"[CATTYPE]",
				"[FAMID]"
			);
			$repl = array(
				$row->id,
				$row->parent, 
				$row->descr, 
				$row->itemsCount ? " <sup class='badge badge-info badge-pill tt' title='contains " . $row->itemsCount . " items'>" . $row->itemsCount . "</sup>" : "", 
				$row->url,
				!$row->status ? "offline" : "", 
				$row->status ? "fa-pause" : "fa-play",
				$row->status ? "0" : "1",	//state to set
				$row->top_cat ? "0" : "1",	//state to set
				$row->top_cat ? "fa-star text-warning" : "fa-star-o",
				$dataHelpText,
				$dataHelpText2,
				$add2buttonCellClass,
				"fa-angle-right",
				null,
				null,
				"parent",
				$row->id
			);
			echo str_replace($find, $repl, $catRowBase);

			$dataHelpText = $dataHelpText2 = $add2buttonCellClass = null;

			if ($subCategories[$row->id]) {
				foreach ($subCategories[$row->id] as $subCat) {
					$repl = array(
						$subCat->id,
						$subCat->parent, 
						$subCat->descr, 
						$subCat->itemsCount ? " <sup class='badge badge-info badge-pill tt' title='contains " . $subCat->itemsCount . " items'>" . $subCat->itemsCount . "</sup>" : "", 
						$subCat->url,
						!$subCat->status ? "offline" : "", 
						$subCat->status ? "fa-pause" : "fa-play",
						$subCat->status ? "0" : "1",	//state to set
						$subCat->top_cat ? "0" : "1",	//state to set
						$subCat->top_cat ? "fa-star text-warning" : "fa-star-o",
						$dataHelpText,
						$dataHelpText2,
						$add2buttonCellClass,
						"fa-angle-double-right",
						"js-hide",
						"pl-25",
						"child",
						$subCat->parent
					);
					echo str_replace($find, $repl, $catRowBase);
				}
			}


		}
		echo "<tr class='no-cats-row " . ($mainCategories ? "js-hide" : "") . "'><td colspan='2' class='alert-warning'>Actuellement, il n'y a pas de catégories définies</td></tr>";
		?>
	</tbody>
</table>


<div class='js-hide hidden-content'>
	<table class='catRowBase'><tbody><?php echo $catRowBase; ?></tbody></table>
</div>


<div class='clearfix'></div>

