<?php 



$marketplaceOptions = "<option value=''>votre place de marché</option>";
foreach ($zstore->getMarketplaces() as $row) {
	$marketplaceOptions .= "<option>" . $row->descr . "</option>\n";
}

$languageOptions = null;
foreach ($zstore->getLanguages() as $lang_key) {
	$languageOptions .= "<option>" . $lang_key . "</option>\n";
}

$categoryNavbarOptions = "<option value='0'>ne pas afficher</option>
	<option value='1'>afficher côte à côte</option>
	<option value='2'>afficher dans le menu déroulant</option>";

$logEntries = $zstore->getErrorLogEntries();

?>

<h2><i class='fa fa-fw fa-z'></i> Store Error Log</h2>

<?php 
if ($logEntries) {
	echo "<button type='button' class='pull-right btn btn-danger js-btn-empty-error-log'><i class='fa fa-trash-o'></i> Supprimer toutes les erreurs d'entrées</button>";
}
?>
<p>Ces entrées sont ajoutées à la base de données si quelque chose d'inattendu se produit.<br />AVERTISSEMENT: Les avertissements, déclarations manquantes et autres messages d'erreur PHP seront consignés avec le journal d'erreurs intégré.<br />
	Idéalement, cela devrait être vide <i class='fa fa-smile-o'></i> - mais si ce n'est pas le cas, ne vous inquiétez pas, la plupart d'entre eux ne seraient que des notifications et seraient supprimés progressivement après avoir été rapportés avec les futures mises à jour.</p>


<form method='post' action='<?php echo $adminScript; ?>' id='FconfigErrorLog'>
	<div class='alert F-alert js-hide'></div>
  <div class='form-group'>
		<div class='custom-control custom-checkbox'>
		  <input type='checkbox' name='log_errors' value='1' id='cb_log_errors' class='custom-control-input' <?php echo $zstore->config->log_errors ? "checked='checked'" : ""; ?>>
		  <label class='custom-control-label' for='cb_log_errors'>Les avertissements, les erreurs et les messages</label>
			<span class='text-success success-box js-hide'><i class='fa fa-check'></i>sauvegardé</span>
		</div>
	</div>
</form>	

		<?php


				echo "<div class='alert alert-success " . ($logEntries ? "js-hide" : "") . " alert-no-log-entries'><i class='fa fa-thumbs-o-up'></i> Aucune entrée de journal n'a été trouvée.</div>";


				echo "<ul class='list-group list-group-error-log'>";
				foreach ($logEntries as $logGroupKey => $row) {
					echo "<li class='list-group-item'>
						<div class='btn-group btn-group-xs wrapper-logitem-buttons'>
							<!--<a href='http://envato.homac.at/report.php' class='btn btn-primary btn-xs js-btn-report-logitems open-link-external' data-loggroup-key='$logGroupKey'><i class='fa fa-bug'></i> reporter</a> bientôt disponible -->
							<button type='button' class='btn btn-danger btn-xs js-btn-remove-logitems' data-loggroup-delkey='$logGroupKey'><i class='fa fa-times'></i> retirer</button>
						</div>
						<dl class='row mb-0'>
							<dt class='col-sm-3'>Occurrences</dt><dd class='col-sm-9'>" . $row->cnt . "</dd>
							<dt class='col-sm-3'>File</dt><dd class='col-sm-9'>" . $row->relFile . "</dd>
							<dt class='col-sm-3'>Mesage</dt><dd class='col-sm-9'>" . $row->message . "</dd>
							<dt class='col-sm-3'>Latest Occurrences</dt><dd class='col-sm-9'>" . $row->latest . "
							</dd>
						</dl>
						<button type='button' class='btn btn-secondary btn-sm btn-block js-btn-toggle-logitems-view' data-loggroup-target='$logGroupKey' data-text-more='more Details'  data-text-less='less Details'><i class='fa fa-chevron-down'></i> <span>more Details</span> <i class='fa fa-chevron-down'></i></button>
					</li>";

					foreach ($row->logItems as $logItem) {
						echo "<li class='list-group-item list-group-item-warning small' data-loggroup='$logGroupKey'>
						<dl class='row mb-0'>
							<dt class='col-sm-3'>File <em class='nob'>full path</em></dt><dd class='col-sm-9'>" . $logItem->file . "</dd>
							<dt class='col-sm-3'>Line</small></dt><dd class='col-sm-9'>" . $logItem->line . "</dd>
							<dt class='col-sm-3'>Occurrence</dt><dd class='col-sm-9'>" . $logItem->created . "</dd>
							<dt class='col-sm-3'>URL</dt><dd class='col-sm-9'>" . $logItem->url . "</dd>
							<dt class='col-sm-3'>Refererer</dt><dd class='col-sm-9'>" . ($logItem->referer?:"-") . "</dd>
							<dt class='col-sm-3'>IP</dt><dd class='col-sm-9'>" . $logItem->ip . "</dd>
							</dl>
						</li>";

					}
					
				}
			  echo "</ul>";



		?>

<div class='clearfix'></div>

