<?php 

$categories = $zstore->getCategories();


$headline = $intro = null;


$admItem = isset($_REQUEST["admItem"]) ? true : false;

$intro = null;
switch ($sub2) {
	case 'findOverwrite':
		$headline =  "<i class='fa fa-search'></i> Rechercher des fichiers de clés de langue de remplacement";
		$intro = "<p>Lorsque vous utilisez la méthode aMzBoutique language avec la définition d'un argument de contenu.
			<pre class='syntax-highlight'>" . $zstore->highlightText('$zstore->lang("unique_key","contenu à afficher sur la page");') . "</pre>
			Vous écraserez toujours la clé avec le contenu donné. Même si vous changez de langue.<br />
			Cette section vous aide à trouver ces occurrences dans nos fichiers.</p>";
 		break;
	case 'manlang':
	default:
		$headline = "<i class='fa fa-cubes'></i> Gérer les entrées de langue <em class='badge badge-dark'>$manlang</em>";
		if ($manlang != "en") {
			$intro = "<button type='button' class='pull-right btn btn-danger js-btn-remove-language' data-lang-key='$manlang'><i class='fa fa-times'></i> Supprimer le Language</button>";
		}
		$intro .= '<p class="section-intro">Vous pouvez ajouter, supprimer et éditer des éléments individuels avec les outils dans la colonne Outils.<br />
			Pour éditer une entrée, vous pouvez soit cliquer sur le ptit icône du crayon, soit simplement cliquer deux fois sur la clé ou le contenu.</p>

			Les items seront créés et remplis s’ils n’existent pas, ou mis à jour à l’aide de
			<pre class="syntax-highlight">' . $zstore->highlightText('$zstore->lang("unique_key","contenu à afficher sur la page");') . '</pre>
			sur nimporte quelle page, et pour afficher du contenu, utilisez-le (sinon, une entrée vide pour la clé sera créée)
			<pre class="syntax-highlight">' . $zstore->highlightText('$zstore->lang("unique_key");') . '</pre>
			Pour obtenir des informations et des options, veuillez consulter le chapitre sur les langues du manuel.<br /><br />';
	break;
}


echo "<h2>$headline</h2>";


?>

<?php
echo $intro;

	
	switch ($sub2) {
		case 'findOverwrite':
			include ("languages-find-overwrite.php");
			break;
		case 'manlang':
		default:
			include ("languages-manlang.php");
			break;
	}

?>

<div class='clearfix'></div>

