<h2><i class='fa fa-book'></i> <i class='fa fa-amazon'></i> Partenaire Amazon</h2>
<p>Comment devenir partenaire Amazon et comment obtenir les données pertinentes pour votre <i class='fa fa-fw fa-z'></i>oaBoutique</p>


<h4 class='mt-3'>Rejoignez le réseau de partenaires Amazon</h4>
Nous supposons que vous avez déjà un compte Amazon actif - mais si ce n’est pas le cas, il n’est pas si difficile de créer un compte gratuit, il suffit d’aller sur le site Web d’Amazon qui s’applique pour votre région.
<div class='text-info'><i class='fa fa-exclamation-circle'></i> Avec un compte Amazon, vous pouvez vous connecter sur tous les autres sites Web Amazon avec les mêmes informations d'identification.</div>

<dl class='row small mb-2 mt-2'>
	<dt class='col-3 text-right'><strong>Australie</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.com.au' class='open-external'>https://www.amazon.com.au <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>Brésil</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.com.br' class='open-external'>https://www.amazon.com.br <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>Canada</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.ca' class='open-external'>https://www.amazon.ca <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>Chine</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.cn' class='open-external'>https://www.amazon.cn <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>France</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.fr' class='open-external'>https://www.amazon.fr <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>Allemagne, Autriche</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.de' class='open-external'>https://www.amazon.de <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>Inde</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.in' class='open-external'>https://www.amazon.in <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>Italie</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.it' class='open-external'>https://www.amazon.it <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>Japon</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.co.jp' class='open-external'>https://www.amazon.co.jp <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>Mexique</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.com.mx' class='open-external'>https://www.amazon.com.mx <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>Pays-Bas</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.nl' class='open-external'>https://www.amazon.nl <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>Espagne</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.es' class='open-external'>https://www.amazon.es <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>Turquie</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.com.tr' class='open-external'>https://www.amazon.com.tr <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>Royaume-Uni</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.co.uk' class='open-external'>https://www.amazon.co.uk <i class='fa fa-external-link'></i></a></dd>
	<dt class='col-3 text-right'><strong>États-Unis</strong></dt>
	<dd class='col-3'><a href='https://www.amazon.com' class='open-external'>https://www.amazon.com <i class='fa fa-external-link'></i></a></dd>
</dl>

pour devenir un partenaire Amazon et monétiser les produits achetés, vous devez rejoindre le programme de partenariat Amazon<br />
Pour ce faire, veuillez cliquer sur le lien <a href='https://affiliate-program.amazon.com/' class='open-external'>https://affiliate-program.amazon.com/ <i class='fa fa-external-link'></i></a> et sélectionnez votre localisation correctement en haut à droite. 

<div class='text-center m-3'>
	<img src='img/man-partner.jpg' class='img-responsive rounded border' />
</div>
<h5>Inscription<small>en utilisant le site US comme exemple</small></h5>
<p>appuyez sur la bannière inscription gratuite<br />
suivez les étapes et remplissez les formulaires.<br />
vous devrez probablement entrer votre numéro de téléphone pour obtenir un code PIN dont vous aurez besoin pour vous identifier.</p>

<h5>Informations de clé API</h5>
<p class='mb-0'><small class='text-secondary bg-light'>Remarque: Il est uniquement possible d'avoir deux clés d'API en même temps avec un seul compte sur tous les serveurs de services Web Amazon. Tous les serveurs de services Web sont accessibles avec les mêmes informations d'identification d'API. Ces informations d'identification d'API ne peuvent être gérées que sur le site partenaire sur lequel vous avez enregistré votre compte Amazon.</small><br />
	Connectez-vous à votre site Amazon Affiliate et accédez à<br />
	Outils <i class='fa fa-angle-right'></i> API de publicité de produit<br /><br />
	dans la section <strong class='text-amazon'>Gérer vos informations d'identification</strong> cliquez sur le bouton <button type='button' class='btn btn-sm btn-amazon'>Ajouter des informations d'identification</button><br /><br />
	Si le bouton est désactivé ou inactif, vous avez déjà généré deux clés API ou vous ne vous trouvez pas sur le site Web Amazon d'origine.<br /><br />
	juste après avoir cliqué sur le bouton mentionné, vous obtiendrez les informations d'identification nécessaires à votre <i class='fa fa-fw fa-z'></i>onBoutique. Veuillez les noter ou les copier dans un fichier texte - vous ne pourrez plus accéder à la clé secrète par la suite.</p>

<div class='text-center m-3'>
	<img src='img/man-accesskey.jpg' class='img-responsive rounded border' />
</div>
<p class='mt-0'>nous avons besoin de la <strong>Clé d'accès <i class='fa fa-plus'></i> Clé Secrète</strong> de la <strong>et</strong> l'identifiant de partenaire que vous avez obtenu après votre inscription</p>

<h5>ID-Partenaire Amazon</h5>
<p class='mb-0'>votre numéro de partenaire (actuel) se trouve dans la partie supérieure droite du site Amazon Affiliate, appelé <em>Boutique</em> sur le site US ou FR</p>

<div class='text-center m-3'>
	<img src='img/man-partnerid1.jpg' class='img-responsive rounded border' />
</div>

<p class='m-0'>Vous pouvez gérer (ajouter / supprimer) vos ID partenaires dans vos paramètres Amazon Acount, accessibles dans le menu en haut à droite, à côté de votre adresse e-mail.</p>

<div class='text-center m-3'>
	<img src='img/man-partnerid2.jpg' class='img-responsive rounded border' />
</div>
<p class='mt-0'>Là vous trouvez à côté de tous <strong class='text-amazon'>Vos comptes associés</strong> le lien menant à <em class='text-info'>Gérer vos identifiants de suivi</em></p>


