<h2><i class='fa fa-book'></i> Tâches Cron</h2>

<p>Vous pouvez soit utiliser la fonction <a href='?products&amp;sub2=grabNow'><i class='fa fa-bolt'></i> Saisir les données d'Amazon maintenant</a> dans la section Produits / Articles pour importer des données du services Web d'Amazon ou laisser votre serveur le faire périodiquement lorsque cela est nécessaire.</p>
<p>Il y a un répertoire appelé <em class='bg-light text-secondary'>cron/</em> et là vous trouvez (pour l'instant seulement) <em class='bg-light text-secondary'>import-item-data.php</em>.<br />
	Dans ce fichier, une fonction permettant de récupérer des informations pour des éléments encore non importés d'Amazon est disponible. <br /><br />
	Depuis la version 1.05, vous pouvez modifier le nombre d'éléments à récupérer lors d'une tâches cron (50 est la valeur par défaut).<br />
	XX éléments par commande, 5 secondes entre chaque élément. Vous pouvez exécuter cette tâche tous les 5 à 6 minutes pour 50 éléments.</p>
Exemples de tâches cron dans <em class='bg-light text-secondary'>cron/import-item-data.php</em><br />
<pre class='syntax-highlight'><?php
	echo $zstore->highlightText('$zstore->amzHandleFirstImports(); //valeur par défaut: 50 items, 5 secondes entre chaque execution') . "<br />";
	echo $zstore->highlightText('$zstore->amzHandleFirstImports(100); //100 items, 5 secondes entre chaque execution') . "<br />";
	echo $zstore->highlightText('$zstore->amzHandleFirstImports(600); //600 items, 5 secondes entre chaque execution');
?></pre>


<h5>Créer une tâche cron <small>sur linux</small></h5>
dans le terminal linux
<pre class='syntax-highlight'><?php
	echo $zstore->highlightText('crontab -e',"shell");
?></pre>
ajoutez ces lignes à vos tâches cron
<pre class='syntax-highlight'><?php
	echo $zstore->highlightText('#zstore item retriever
*/5 * * * *   php ' . dirname(dirname(__DIR__)) . '/cron/import-item-data.php',"shell");
?></pre>