<?php
	echo "<h2><i class='fa fa-fw fa-z'></i>oaBoutique - Manuel d'utilisation</h2>";

	echo "<div class='card-columns'>";

	echo "<div class='card mb-3'>
		<div class='card-body'>
	    <h5 class='card-title'>Exigences du Serveur</h5>
	    <p class='card-text'>Les exigences du serveur pour installer et utiliser la <i class='fa fa-fw fa-z'></i>oaBoutique sont relativement simples.</p>
	   </div>
	  <div class='card-footer text-right'>
	  	<a href='$adminScript?manual&amp;sub2=requirements'>lire plus <i class='fa fa-angle-right'></i></a>
	  </div>
	 </div>";

	echo "<div class='card mb-3'>
		<div class='card-body'>
	    <h5 class='card-title'>Installation</h5>
	    <p class='card-text'>Les Premières Étapes.<br />Brève instruction sur la configuration de votre zoaBoutique. Où ajouter les données de configuration correctes pour la base de données et quels fichiers vous devez modifier et/ou télécharger, etc...</p>
	   </div>
	  <div class='card-footer text-right'>
	  	<a href='$adminScript?manual&amp;sub2=installation'>lire plus <i class='fa fa-angle-right'></i></a>
	  </div>
	 </div>";

	echo "<div class='card mb-3'>
		<div class='card-body'>
	    <h5 class='card-title'>Variations de Produit</h5>
	    <p class='card-text'>Comment activer les variations et ce qui doit être considéré.</p>
	   </div>
	  <div class='card-footer text-right'>
	  	<a href='$adminScript?manual&amp;sub2=variations'>lire plus <i class='fa fa-angle-right'></i></a>
	  </div>
	 </div>";

	echo "<div class='card mb-3'>
		<div class='card-body'>
	    <h5 class='card-title'>Partenaires Amazon</h5>
	    <p class='card-text'>Comment devenir partenaire Amazon et quelles sont les informations d'identification nécessaires pour accéder à l'API Amazon.</p>
	   </div>
	  <div class='card-footer text-right'>
	  	<a href='$adminScript?manual&amp;sub2=amazon'>lire plus <i class='fa fa-angle-right'></i></a>
	  </div>
	 </div>";

	echo "<div class='card mb-3'>
		<div class='card-body'>
	    <h5 class='card-title'>Languages</h5>
	    <p class='card-text'><i class='fa fa-fw fa-z'></i>oaBoutique vous permet de traduire le contenu à l'intérieur du panneau de configuration - et dynamiquement à l'intérieur des fichiers où vous souhaitez les afficher.</p>
	   </div>
	  <div class='card-footer text-right'>
	  	<a href='$adminScript?manual&amp;sub2=languages'>lire plus <i class='fa fa-angle-right'></i></a>
	  </div>
	 </div>";

	echo "<div class='card mb-3'>
		<div class='card-body'>
	    <h5 class='card-title'>Les Modèles</h5>
	    <p class='card-text'>Vous pouvez changer l'apparence de votre <i class='fa fa-fw fa-z'></i>oaBoutique avec l'utilisation de différents modèles. Vous pouvez les modifier, en copier un existant ou même créer votre propre <i class='fa fa-fw fa-z'></i>oaModèle.</p>
	   </div>
	  <div class='card-footer text-right'>
	  	<a href='$adminScript?manual&amp;sub2=layouts'>lire plus <i class='fa fa-angle-right'></i></a>
	  </div>
	 </div>";

	echo "<div class='card mb-3'>
		<div class='card-body'>
	    <h5 class='card-title'>Travaux Cron</h5>
	    <p class='card-text'>Vous pouvez soit remplir les éléments de votre boutique avec des informations d'Amazon dans l'interface d'administration, ou soit utiliser la méthode automatique.</p>
	   </div>
	  <div class='card-footer text-right'>
	  	<a href='$adminScript?manual&amp;sub2=cron'>lire plus <i class='fa fa-angle-right'></i></a>
	  </div>
	 </div>";

	echo "<div class='card mb-3'>
		<div class='card-body'>
	    <h5 class='card-title'>Produits Numériques</h5>
	    <p class='card-text'>Comment activer la section Produits Numériques de votre <i class='fa fa-fw fa-z'></i>oaBoutique en utilisant la plate-forme d'affiliation 1tpe.</p>
	   </div>
	  <div class='card-footer text-right'>
	  	<a href='$adminScript?manual&amp;sub2=jscss'>lire plus <i class='fa fa-angle-right'></i></a>
	  </div>
	 </div>";

	echo "<div class='card mb-3'>
		<div class='card-body'>
	    <h5 class='card-title'>Monétisation</h5>
	    <p class='card-text'>La <i class='fa fa-fw fa-z'></i>oaBoutique est mise à jour avec des nouvelles options à chaque mois. Vous trouverez ici une liste des options de monétisation pour maximiser les revenus que vous faites avec la <i class='fa fa-fw fa-z'></i>oaBoutique.</p>
	   </div>
	  <div class='card-footer text-right'>
	  	<a href='$adminScript?manual&amp;sub2=credits'>lire plus <i class='fa fa-angle-right'></i></a>
	  </div>
	 </div>";

	echo "<div class='card mb-3'>
		<div class='card-body'>
	    <h5 class='card-title'>Mises à jour</h5>
	    <p class='card-text'><i class='fa fa-fw fa-z'></i>La version actuelle est " . $zstore->version . " - Pour avoir une vue d'ensemble de ce qui a été changé depuis le début, jetez un coup d'œil aux mises à jour.</p>
	   </div>
	  <div class='card-footer text-right'>
	  	<a href='$adminScript?manual&amp;sub2=changelog'>lire plus <i class='fa fa-angle-right'></i></a>
	  </div>
	 </div>";

	 echo "</div>";

?>