<h2><i class='fa fa-book'></i> Installation</h2>

<ul>
	<li>Décompressez et téléchargez les fichiers présents dans htdocs sur votre serveur Web dans le répertoire de votre choix ou vous voulez installer la <i class='fa fa-fw fa-z'></i>oaBoutique .
		<div class='alert alert-sm alert-warning p-1 d-inline-block'><i class='fa fa-exclamation-triangle'></i> pas le fichier htdocs, mais le contenu à l'intérieur <i class='fa fa-exclamation-triangle'></i></div></li>
	<li>Par la suite, trouvez le fichier <em class='bg-light text-secondary'>z-conf.php</em> et ajoutez/modifiez les informations suivantes
		<pre class='syntax-highlight mb-0'><?php
			echo $zstore->highlightText('$_config->adminMail = "vous@domaine.com";	//les erreurs seront envoyé à cette adresse
$_config->contactMail = "info@domaine.com";	//votre adresse email perso
$_config->projectName = "zoaBoutique";	// le nom de votre boutique

//owner/operator data (utilisé dans le bas des pages)
$_config->shopOwner = "zoaBoutique Ltd.";
$_config->shopOwnerWebsite = "https://votredomaine.com";	//votre nom de domaine 

//admin infos
$_config->adminUser = "admin";
$_config->adminPass = "pass";

//DB DATA
$_config->dbName = "databaseName";
$_config->dbUser = "databaseUserName";
$_config->dbPass = \'databaseUserPassword\';
$_config->dbHost = "localhost";	//mysql server

$_config->tablePrefix = "zs1_";	//le prefix pour les tables, pas besoin de toucher à ceci

');
		?></pre>
	</li>
	<li>Pointez votre navigateur sur votre installation et suivez les instructions simples étape par étape.</li>
	<li>allez à la page d'administration (initialement <em class='bg-light text-secondary'>z-admin.php</em>) pour définir les autres paramètres</li>
</ul>
<div class='alert alert-info'><i class='fa fa-exclamation-triangle'></i> N'oubliez pas non plus le fichier .htaccess (il se trouve dans le dossier htdocs, croyez-moi <i class='fa fa-smile-o'></i>).<br />
Si vous ne le voyez pas, il est peut-être masqué par votre navigateur de fichiers.
<div class='card'><div class='card-body p-2'>
	<h5 class='card-title mt-0 mb-0'><i class='fa fa-apple'></i> Mac OS</h5>
	<h6 class='card-subtitle mb-2 mt-0 text-secondary'>allez à Trouver</h6>
	<p class='card-text'>sélectionnez Voir <i class='fa fa-angle-right'></i> activez Afficher les fichiers du système</p>

	<h5 class='card-title mb-0'><i class='fa fa-windows'></i> Windows</h5>
	<h6 class='card-subtitle mb-2 mt-0 text-secondary'>ouvrez l'explorateur de fichiers</h6>
	<p class='card-text'>sélectionnez Voir <i class='fa fa-angle-right'></i> Options <i class='fa fa-angle-right'></i><br />
	onglet Affichage <i class='fa fa-angle-right'></i> dans les paramètres avancés <i class='fa fa-angle-right'></i><br /> 
	activez Afficher les fichiers, dossiers et lecteurs cachés</p>

	<h5 class='card-title mb-0'><i class='fa fa-linux'></i> Linux</h5>
	<h6 class='card-subtitle mb-2 mt-0 text-secondary'>en utilisant l'exemple des fichiers GNU</h6>
	<p class='card-text'>sélectionnez Modifier <i class='fa fa-angle-right'></i> Préférences <i class='fa fa-angle-right'></i> dans l'onglet Affichage <i class='fa fa-angle-right'></i><br /> 
	activez Afficher les fichiers cachés et de sauvegarde</p>
</div></div>
</div>