<h2><i class='fa fa-book'></i> Les Modèles</h2>

<p>La version 1.00 vient avec 2 modèles: <strong>défaut</strong> et </strong>bikes_n_scooters</strong><br />
	Il est prévu d'ajouter plusieurs nouveaux modèles pour la <i class='fa fa-fw fa-z'></i>oaBoutique et vous recevrez un e-mail à ce sujet dès qu'ils seront disponibles.<br /><br />
	Les modèles se trouvent dans le répertoire Layout. Si vous souhaitez ajouter une nouvelle mise en page, nous vous conseillons de copier un dossier existant et de commencer à modifier ses fichiers. Lors de la création d'une mise en page, utilisez simplement des valeurs alphanumériques minuscules pour la nommer.<br /><br />
	Pour activer un modèle veuillez ouvrir le fichier <em class='bg-light text-secondary'>z-admin.php</em> et modifiez</p>
		<pre class='syntax-highlight'><?php
			echo $zstore->highlightText('$_config->layout = "bikes_n_scooters"; //le nom de votre modèle dans le fichier Layouts');
		?></pre>
	dans votre projet, le nom de votre fichier layout est disponible via
	<pre class='syntax-highlight'><?php
			echo $zstore->highlightText('$zstore->config->layout');
	?></pre>
	et voici le chemin de votre dossier actuel
	<pre class='syntax-highlight'><?php
    echo $zstore->highlightText('$zstore->instDir . "/layouts/" . $zstore->config->layout . "/"');
	?></pre>

<h5>Fichiers et Dossiers</h5>
<p>Nous avons essayé de séparer principalement le contenu et la mise en page dans la mesure du possible. Regardez à travers les fichiers, il n’y a pas beaucoup de fichiers et ils sont nommés clairement.</p>
<h5>Création de Nouvelles Pages</h5>
<p><i class='fa fa-fw fa-z'></i>onBoutique est équipé d'un moyen "confortable et facile" d'ajouter vos propres pages. Il y a un répertoire appelé <em class='bg-light text-secondary'>pages</em> dans chaque fichier layout. <em class='bg-light text-secondary'>*.php</em> les fichiers de ce dossier peuvent être visité via le navigateur en utilisant <code>/cnt/page.html</code>, quand <code>page</code> est le nom du fichier php approprié dans le dossier pages.<br />
	dans les mises en page livrées sont déjà deux pages dans le dossier des pages <strong>et</strong> sont inclus dans la structure du site.<br />
	<code>/cnt/sample.html</code> affiche le contenu de <code>pages/sample.php</code> <em>avec le pied de page et l'en-tête</em><br />
	<code>/cnt/terms.html</code> affiche le contenu de <code>pages/terms.php</code> <em>avec le pied de page et l'en-tête</em><br /><br />
	Par la suite, ouvrez <em class='bg-light text-secondary'>header.php</em> et ajoutez les liens dans le menu <em class='bg-light text-secondary'>terms.html</em> et <em class='bg-light text-secondary'>sample.html</em>
</p>


