<script type="text/javascript"></script>

<?php

$cat_ids = array();
if (isset($_REQUEST["cat_ids"]) && is_array($_REQUEST["cat_ids"])) {
	$cat_ids = $_REQUEST["cat_ids"];
}

$asin = isset($_REQUEST["asin"]) ? trim($_REQUEST["asin"]) : null;

if ($action == "importASIN") {
	$itemId = $zstore->amzQuickASINimport($asin,$cat_ids);
	if ($itemId && $_REQUEST["jump2edit"]) {
		echo "<script type='text/javascript'>
			location.href = '" . $adminScript . "?" . $thisSubPage . "&admItem&itemId=" . $itemId . "';
		</script>";
	}
}

// $category_options = "<option value='0'>-- ohne Kategorie --</option>\n";
$category_options = null;
foreach ($mainCategories as $row) {
	$category_options .= "<option value='" . $row->id ."' " . (in_array($row->id, $cat_ids) ? "selected='selected'" : "") . ">" . $row->descr . "</option>\n";
	$category_descr[$row->id] = $allCategoriesData[$row->id]->descr;
	if ($subCategories[$row->id]) {
		foreach ($subCategories[$row->id] as $subCat) {
			$category_options .= "<option value='" . $subCat->id ."' " . (in_array($subCat->id, $cat_ids) ? "selected='selected'" : "") . ">&rdsh; " . $subCat->descr . "</option>\n";
			$category_descr[$subCat->id] = $allCategoriesData[$subCat->id]->descr;
		}
	}
}

if (isset($zstore->error) && $zstore->error) {
	echo "<div class='alert alert-danger'>" . $zstore->error . "</div>";
}
if (isset($zstore->success) && $zstore->success) {
	echo "<div class='alert alert-success'>" . $zstore->success . "</div>";
	$asin = null;
}

?>

	<form method="post" action="<?php echo $adminScript; ?>" id="asinImportF">
		<input type='hidden' name="<?php echo $thisSubPage; ?>" />
		<input type='hidden' name="sub2" value="<?php echo $sub2; ?>" />
		<input type='hidden' name="sourceKind" value="ASIN" />
		<input type='hidden' name="action" value="importASIN" />

<?php
	if ($mainCategories) {
?>
		<div class="form-group row">
	    <label class="col-sm-3">Catégorie de Produit</label>
	    <div class="col-sm-9">
				<select class="mt-neg-7 form-control form-control-multiselect-category" name="cat_ids[]" multiple='multiple'>
					<?php echo $category_options; ?>
				</select>
			</div>
		</div>
<?php
	}
?>

		<div class="form-group row">
	    <label class="col-sm-3 col-form-label">Utilisez le formulaire de modification</label>
	    <div class="col-sm-9">
	    	<div class="custom-control custom-checkbox">
				  <input name="jump2edit" value="1" type="checkbox" class="custom-control-input" id="jumpToEditForm">
				  <label class="custom-control-label" for="jumpToEditForm">Allez au formulaire <em>Modifier Produit</em> après l'importation</label>
				</div>
	    </div>
	    <label class="col-sm-3 col-form-label">ASIN</label>
	    <div class="col-md-4 col-sm-6">
	      <input type='text' class="form-control" name="asin" value="" />
	    </div>
	  </div>
		<div class="row">
	    <div class="col-sm-4 offset-sm-3">
	  		<button type="submit" class="btn btn-primary btn-zstore">Importer Rapidement ASIN</button>
	    </div>
		</div>
	</form>
