<?php

$searchResults = null;

$cat_ids = array();
if (isset($_REQUEST["cat_ids"]) && is_array($_REQUEST["cat_ids"])) {
	$cat_ids = $_REQUEST["cat_ids"];
}

$searchindex = isset($_REQUEST["searchindex"]) ? $_REQUEST["searchindex"] : "All";
$srch = isset($_REQUEST["srch"]) ? $_REQUEST["srch"] : null;

if ($action == "searchAmazonByKeyword") {
	$searchResults = $zstore->searchAmazonByKeyword($_REQUEST["srch"],$searchindex);
}

// $category_options = "<option value='0'>-- ohne Kategorie --</option>\n";
$category_options = null;
foreach ($mainCategories as $row) {
	$category_options .= "<option value='" . $row->id ."' " . (in_array($row->id, $cat_ids) ? "selected='selected'" : "") . ">" . $row->descr . "</option>\n";
	$category_descr[$row->id] = $allCategoriesData[$row->id]->descr;
	if ($subCategories[$row->id]) {
		foreach ($subCategories[$row->id] as $subCat) {
			$category_options .= "<option value='" . $subCat->id ."' " . (in_array($subCat->id, $cat_ids) ? "selected='selected'" : "") . ">&rdsh; " . $subCat->descr . "</option>\n";
			$category_descr[$subCat->id] = $allCategoriesData[$subCat->id]->descr;
		}
	}
}

$searchIndexes = $zstore->getAmazonSearchIndexes();
$searchindex_options = null;
foreach ($searchIndexes as $row) {
	$searchindex_options .= "<option value='" . $row->descr ."' " . ($searchindex == $row->descr ? "selected='selected'" : "") . ">" . $row->descr . "</option>\n";
}


if (isset($zstore->error) && $zstore->error) {
	echo "<div class='alert alert-danger'>" . $zstore->error . "</div>";
}
if (isset($zstore->success) && $zstore->success) {
	echo "<div class='alert alert-success'>" . $zstore->success . "</div>";
}

?>

	<form method="post" action="<?php echo $adminScript; ?>" id="amzKeywordsImportF">
		<input type='hidden' name="<?php echo $thisSubPage; ?>" />
		<input type='hidden' name="sub2" value="<?php echo $sub2; ?>" />
		<input type='hidden' name="sourceKind" value="amzKeywords" />
		<input type='hidden' name="action" value="searchAmazonByKeyword" />


<?php
	if ($mainCategories) {
?>
		<div class="form-group row">
	    <label class="col-sm-4">Catégorie Produit</label>
	    <div class="col-sm-8">
				<select class="mt-neg-7 form-control form-control-multiselect-category" name="cat_ids[]" multiple='multiple'>
					<?php echo $category_options; ?>
				</select>
			</div>
		</div>
<?php
	}
?>
<?php

/*
		<div class="form-group row">
	    <label class="col-sm-4">Amazon SearchIndex</label>
	    <div class="col-sm-4">
				<select class="mt-neg-7 form-control" name="searchindex">
					<?php echo $searchindex_options; ?>
				</select>
			</div>
		</div>
*/
?>		
		<div class="input-group input-group-lg">
      <select class="custom-select custom-select-lg col-3" name="searchindex">
				<?php echo $searchindex_options; ?>
			</select>
			<input type="text" class="form-control" placeholder="Titre,..." name="srch" required="required" value="<?php echo $srch; ?>"/>
			<div class="input-group-append">
        <button class="btn btn-warning" type="submit"><i class='fa fa-search'></i></button>
      </div>
    </div>

	</form>

<?php
if ($searchResults) {
		echo "<h3 class='mt-20'>Résultats de Amazon</h3>";
		echo "<div class='row amzKeywords-grid mt-20'>";
			foreach ($searchResults->results as $row) {
				echo "<div class='col-md-4 col-6 col-lg-3 amzKeywords-item' data-asin='" . $row->asin . "'>
					<div class='card text-center mb-3 p-2'>
						<a href='" . $row->item_url . "' class='open-external'><img src='" . $row->image_url_medium . "' class='img-fluid' alt='' /></a>
						<div class='card-body pb-0'>
            	<h6 class='card-title'>" . $row->title . "</h6>
							<a href='" . $row->item_url . "' class='open-external btn btn-sm btn-warning btn-block'><i class='fa fa-amazon'></i> Site du Produit</a>";
						if (in_array($row->asin,$searchResults->asinsInDb)) {
							echo "<button type='button' class='btn btn-sm btn-outline-success btn-outline-zstore btn-block disabled'><i class='fa fa-check'></i> déjà importé</button>";
						} else {
							echo "<button type='button' class='btn btn-sm btn-zstore btn-block btn-success js-btn-import-asin'><i class='fa fa-arrow-up'></i> importer</button>";
						}
            echo "</div>
					</div></div>";
			} 
			if ($searchResults->MoreSearchResultsUrl) {
				echo "<div class='col-md-4 col-6 col-lg-3 mb-3 p-2 amzKeywords-item' data-asin='" . $row->asin . "'>
					<div class='card text-center'>
						<div class='card-body pb-0'>
            	<h6 class='card-title'>plus de résultats sur Amazon</h6>
							<a href='" . $searchResults->MoreSearchResultsUrl . "' class='open-external btn btn-sm btn-warning btn-block'><i class='fa fa-amazon'></i> Amazon-Results</a>
						</div>
						<div class='card-footer'><small class='text-muted'>" . $searchResults->TotalResults . " résultats de recherche au total</small></div>
					</div></div>";
			}
			echo "</div>";
}
?>