<?php 

	$loadWysiHTML = true;

	$productData->cat_ids = $zstore->getProductCategories($itemId) ?: array();


	if ($action == "updateProductData") {
		$error = array();
		// echo "<pre>" . print_r($_REQUEST,true) . "</pre>";

		$ean = preg_replace('/\D/','',$_REQUEST["ean"]);
		$title_custom = trim($_REQUEST["title_custom"]);
		$price_str_lowest = trim($_REQUEST["price_str_lowest"]);
		$price_str_offer = trim($_REQUEST["price_str_offer"]);
		$prime = intval($_REQUEST["prime"]);
		$brand = trim($_REQUEST["brand"]);
		$product_group = trim($_REQUEST["product_group"]);
		$platform = trim($_REQUEST["platform"]);
		$features = trim($_REQUEST["features"]);
		$meta_description = trim(strip_tags($_REQUEST["meta_description"]));
		$meta_keywords = trim(strip_tags($_REQUEST["meta_keywords"]));
		$search_keywords = trim($_REQUEST["search_keywords"]);
		$show_reviews = intval($_REQUEST["show_reviews"]);
		$video_url = trim($_REQUEST["video_url"]);
		$is_movie = intval($_REQUEST["is_movie"]);
		$actors = trim(strip_tags(preg_replace('/\s*,\s*/',"|",$_REQUEST["actors"])));
		$release_date = trim($_REQUEST["release_date"]);
		$running_time = intval($_REQUEST["running_time"]);

		$show_amz_suggestions = intval($_REQUEST["show_amz_suggestions"]);
		$link_amz_suggestions_to_amz = intval($_REQUEST["link_amz_suggestions_to_amz"]);

		$show_other_group_items = intval($_REQUEST["show_other_group_items"]);

		$cat_ids = $_REQUEST["cat_ids"];


		$release_dateDB = $release_date;
		if ($release_date) {
			if (strlen($release_date) == 4 && is_numeric($release_date)) {
				$release_dateDB = "$release_date-01-01";
			}
			//check date
			list($rly,$rlm,$rld) = preg_split('/-/',$release_dateDB);
			if (!checkdate(intval($rlm), intval($rld), intval($rly))) {
				$error[] = "La date de sortie de l'article semble être incorrecte.";
			}
		}

		//youtube url check
		if ($video_url) {
	    //youtube/vimeo-check
	    if (!preg_match('/^https?:\/\/(.*)youtu\.?be|^https?:\/\/(.*)vimeo/i',$video_url)) {
	    	$error[] = "La valeur de l'URL de la vidéo n'est pas applicable.";
	    }
	  }

	  if (!$error) {
	  	$sql = "update `" . $zstore->tablePrefix . "products` set
	  		ean = " . $zstore->dbquote($ean) . ",
	  		title_custom = " . $zstore->dbquote($title_custom) . ",
	  		price_str_lowest = " . $zstore->dbquote($price_str_lowest) . ",
	  		price_str_offer = " . $zstore->dbquote($price_str_offer) . ",
	  		prime = '$prime',
	  		brand = " . $zstore->dbquote($brand) . ",
	  		product_group = " . $zstore->dbquote($product_group) . ",
	  		platform = " . $zstore->dbquote($platform) . ",
	  		features = " . $zstore->dbquote($features) . ",
	  		meta_description = " . $zstore->dbquote($meta_description) . ",
	  		meta_keywords = " . $zstore->dbquote($meta_keywords) . ",
	  		search_keywords = " . $zstore->dbquote($search_keywords) . ",
	  		show_reviews = '$show_reviews',
	  		video_url = " . $zstore->dbquote($video_url) . ",
	  		is_movie = '$is_movie',
	  		actors = " . $zstore->dbquote($actors) . ",
	  		release_date = " . ($release_dateDB ? $zstore->dbquote($release_dateDB) : "NULL") . ",
	  		running_time = " . $zstore->dbquote($running_time) . ",

				show_amz_suggestions = '$show_amz_suggestions',
				link_amz_suggestions_to_amz = '$link_amz_suggestions_to_amz',
				show_other_group_items = '$show_other_group_items',

	  		edited = now()
	  		where id = '$itemId'";
	  	$zstore->dbquery($sql);

	  	//categories ...
	  	if (array_diff($cat_ids, $productData->cat_ids)) {
  			//remove first - to avoid dupes
				$sql = "delete from `" . $zstore->tablePrefix . "category_products` where product_id = '$itemId'";
				$zstore->dbquery($sql);
				if ($cat_ids) {
					foreach ($cat_ids as $cat_id) {
						$cat_id = intval($cat_id);
						if ($cat_id) {
							$sql = "insert into `" . $zstore->tablePrefix . "category_products` set product_id = '$itemId', category_id = '$cat_id', created = now()";
							$zstore->dbquery($sql);
						}
					}
				}
	  	}
	  	$success = "Votre article a été mis à jour avec succès.";
	  }


	} else {
		$ean = $productData->ean;
		$title_custom = $productData->title_custom;
		$price_str_lowest = $productData->price_str_lowest;
		$price_str_offer = $productData->price_str_offer;
		$prime = $productData->prime;
		$brand = $productData->brand;
		$product_group = $productData->product_group;
		$platform = $productData->platform;
		$features = $productData->features;
		$meta_description = $productData->meta_description;
		$meta_keywords = $productData->meta_keywords;
		$search_keywords = $productData->search_keywords;
		$show_reviews = $productData->show_reviews;
		$video_url = $productData->video_url;
		$is_movie = $productData->is_movie;
		$actors = $productData->actors;
		$running_time = $productData->running_time;
		$release_date = $productData->release_date;
		if (substr($release_date,5) == "01-01") {
			$release_date = substr($release_date,0,4);
		}
		$show_amz_suggestions = $productData->show_amz_suggestions;
		$link_amz_suggestions_to_amz = $productData->link_amz_suggestions_to_amz;
		$show_other_group_items = $productData->show_other_group_items;

		$cat_ids = $productData->cat_ids;

	}

 	//categories
 	//categories already defined in products.php
	$category_descr = array();
	$category_options = null;
	foreach ($mainCategories as $row) {
		$category_options .= "<option value='" . $row->id ."' " . (in_array($row->id, $cat_ids) ? "selected='selected'" : "") . ">" . $row->descr . "</option>\n";
		$category_descr[$row->id] = $allCategoriesData[$row->id]->descr;
		if ($subCategories[$row->id]) {
			foreach ($subCategories[$row->id] as $subCat) {
				$category_options .= "<option value='" . $subCat->id ."' " . (in_array($subCat->id, $cat_ids) ? "selected='selected'" : "") . ">&rdsh; " . $subCat->descr . "</option>\n";
				$category_descr[$subCat->id] = $allCategoriesData[$subCat->id]->descr;
			}
		}
	}


	if ($error) {
		echo "<div class='alert alert-danger'>" . implode("<br />",$error) . "</div>";
	}
	if ($success) {
		echo "<div class='alert alert-success'>$success</div>";
	}

	echo "<form method='post' action='$adminScript' id='FadmItemProductData'>
		<div class='alert F-alert js-hide'></div>
		<input type='hidden' name='$thisSubPage' />
		<input type='hidden' name='admItem' />
		<input type='hidden' name='itemId' value='$itemId'/>
		<input type='hidden' name='action' value='updateProductData' />
	  <div class='form-group row'>
	  	<div class='col-sm-6 col-12 col-lg-4'>
				<small>ASIN <em class='text-secondary'>lecture seulement</em></small>
				<input type='text' name='asin' class='form-control' value='" . $productData->asin . "' readonly='readonly' />
			</div>
	  	<div class='col-sm-6 col-12 col-lg-4'>
				<small>EAN <em class='text-secondary'>Numéro Article European, optionnel</em></small>
				<input type='text' name='ean' class='form-control' placeholder='numérique, pas nécessaire' value='$ean' />
			</div>
		</div>
	  <div class='form-group'>
  		<small>Titre du Produit <em class='text-secondary'>de Amazon</em></small>
			<input type='text' name='title' class='form-control' value='" . $productData->title . "' readonly='readonly' />
		</div>
	  <div class='form-group'>
  		<small>Titre du Produit <em class='text-secondary'>modifié, annule le titre d'Amazon</em></small>
			<input type='text' name='title_custom' class='form-control' value='" . $title_custom . "' placeholder='remplace le titre original de l'item' />
		</div>";

	if ($mainCategories) {
		echo "<div class='form-group row'>
	    <label class='col-sm-3'>Catégorie(s) du Produit</label>
	    <div class='col-sm-9'>
				<select class='mt-neg-7 form-control form-control-multiselect-category' name='cat_ids[]' multiple='multiple'>
					$category_options
				</select>
			</div>
		</div>";
	}

	echo "<div class='form-group row'>
	  	<div class='col'>
	  		<small>Prix, plus bas <em>as string</em></small>
				<input type='text' name='price_str_lowest' class='form-control' value='" . $price_str_lowest . "' />
			</div>
	  	<div class='col'>
	  		<small><i class='fa fa-amazon'></i> Prix, offre <em>as string</em></small>
				<input type='text' name='price_str_offer' class='form-control' value='" . $price_str_offer . "' />
			</div>
	  	<div class='col'>
	  		<small><i class='fa fa-amazon'></i> Prime</small>
				<div class='custom-control custom-checkbox'>
				  <input type='checkbox' name='prime' value='1' id='cb_prime' class='custom-control-input' " . ($prime ? "checked='checked'" : "") . ">
				  <label class='custom-control-label' for='cb_prime'><em class='text-primary'>Prime</em> offre</label>
				</div>
			</div>
		</div>


	  <div class='form-group row'>
	  	<div class='col'>
	  		<small>Marque de l'Item</small>
				<input type='text' name='brand' class='form-control' value='" . $brand . "' />
			</div>
	  	<div class='col'>
	  		<small><i class='fa fa-amazon'></i> Groupe de Produit</small>
				<input type='text' name='product_group' class='form-control' value='" . $product_group . "' />
			</div>
	  	<div class='col'>
	  		<small><i class='fa fa-amazon'></i> Plateforme</small>
				<input type='text' name='platform' class='form-control' value='" . $platform . "' />
			</div>
		</div>


	  <div class='form-group row'>
	  	<div class='col-12'>
	  		<small>Présentation des fonctionnalités <em class='text-secondary'>HTML permis</em></small><br />
			  	<div class='btn-group btn-group-sm' id='wysihtml-features-toolbar'>
					  <button type='button' data-wysihtml-command='bold' title='CTRL+B' class='btn btn-sm btn-outline-dark'><i class='fa fa-bold fa-fw'></i></button>
    				<button type='button' data-wysihtml-command='italic' title='CTRL+I' class='btn btn-sm btn-outline-dark'><i class='fa fa-italic fa-fw'></i></button>
    				<button type='button' data-wysihtml-command='insertUnorderedList' class='btn btn-sm btn-outline-dark'><i class='fa fa-list-ul fa-fw'></i></button>
    				<button type='button' data-wysihtml-command='underline' class='btn btn-sm btn-outline-dark'><i class='fa fa-underline fa-fw'></i></button>
    				<button type='button' data-wysihtml-action='change_view' class='btn btn-sm btn-outline-dark btn-wysihtml-change-view'><i class='fa fa-code fa-fw'></i></button>
					</div>";

				echo "<textarea name='features' class='form-control js-hide' rows='5' id='wysihtml-features-textarea'>" . $features . "</textarea>";
				echo "<div class='form-control textarea' id='wysihtml-features-div'>" . $features . "</div>";
			echo "</div>
		</div>

	  <div class='form-group row'>
	  	<div class='col-12'>
	  		<small><i class='fa fa-google'></i> SEO: Meta description</small>
				<textarea name='meta_description' class='form-control' rows='2'>" . $meta_description . "</textarea>
			</div>
		</div>
		
	  <div class='form-group row'>
	  	<div class='col-12'>
	  		<small><i class='fa fa-google'></i> SEO: Meta mots-clés <em class='text-secondary'>separé par des virgules <code>,</code></em></small>
				<textarea name='meta_keywords' class='form-control' rows='2'>" . $meta_keywords . "</textarea>
			</div>
		</div>
		
	  <div class='form-group row'>
	  	<div class='col-12'>
	  		<small>Mots-clés internes <em class='text-secondary'>utilisé pour la recherche frontend et backend</em></small>
				<textarea name='search_keywords' class='form-control' rows='2'>" . $search_keywords . "</textarea>
			</div>
		</div>

		<h4>URLs <small>sera personnalisé à l'usage</small></h4>
	  <div class='form-group row'>
	  	<div class='col-lg-6'>
	  		<small><i class='fa fa-amazon'></i> Url de l'item <em class='text-secondary'>sera personnalisé à l'usage</em></small>
				<div class='input-group'>
					<input type='text' name='item_url' class='form-control' value='" . $productData->item_url . "' readonly='readonly' />
					<div class='input-group-append'>
						<button type='button' class='btn btn-amazon js-btn-open-amazon-personalized-link' data-url='" . $productData->item_url . "'><i class='fa fa-external-link'></i></button>
					</div>
				</div>
			</div>
		  <div class='col-lg-6'>
	  		<small><i class='fa fa-amazon'></i> URL de liste de souhaits <em class='text-secondary'>sera personnalisé à l'usage</em></small>
				<div class='input-group'>
					<input type='text' name='wishlist_url' class='form-control' value='" . $productData->wishlist_url . "' readonly='readonly' />
					<div class='input-group-append'>
						<button type='button' class='btn btn-amazon js-btn-open-amazon-personalized-link' data-url='" . $productData->wishlist_url . "'><i class='fa fa-external-link'></i></button>
					</div>
				</div>
			</div>
		</div>

		<h4>Revues des utilisateurs</h4>
	  <div class='form-group row'>
	  	<div class='col-lg-4'>
	  		<small><i class='fa fa-amazon'></i> Dernière <code><em>iframe</em></code> mise à jour du Url</small><br />
	  		<input type='text' readonly class='form-control-plaintext' value='" . $productData->reviews_iframe_url_last_update . "' />
	  	</div>
	  	<div class='col-lg-4'>
	  		<small><i class='fa fa-amazon'></i> Url des revues <em class='text-secondary'>externes</em></small>
				<div class='input-group'>
					<input type='text' name='reviews_external_url' class='form-control' value='" . $productData->reviews_external_url . "' readonly='readonly' />
					<div class='input-group-append'>
						<button type='button' class='btn btn-amazon js-btn-open-amazon-personalized-link' data-url='" . $productData->reviews_external_url . "'><i class='fa fa-external-link'></i></button>
					</div>
				</div>
			</div>
	  	<div class='col-lg-4'>
	  		<small><i class='fa fa-amazon'></i> Url des revues des utilisateurs <em class='text-secondary'>pour <code>iframe</code> usage</em></small>
				<input type='text' name='reviews_iframe_url' class='form-control' value='" . $productData->reviews_iframe_url . "' readonly='readonly' />
			</div>
		</div>

	  <div class='form-group row'>
	  	<div class='col-lg-4'>
	  		<small><i class='fa fa-amazon'></i> Avis d'utilisateurs Amazon</small>
				<div class='custom-control custom-checkbox'>
				  <input type='checkbox' class='custom-control-input' readonly='readonly' " . ($productData->has_reviews ? "checked='checked'" : "") . ">
				  <label class='custom-control-label disabled'>L'article a des revues d'utilisateurs</label>
				</div>
			</div>
	  	<div class='col-lg-4'>
	  		<small><i class='fa fa-amazon'></i> Avis des utilisateurs sur le frontend</small>
				<div class='custom-control custom-checkbox'>
				  <input type='checkbox' name='show_reviews' value='1' id='cb_show_reviews' class='custom-control-input' " . ($show_reviews ? "checked='checked'" : "") . ">
				  <label class='custom-control-label' for='cb_show_reviews'>Afficher les avis des utilisateurs sur le frontend</label>
				</div>
			</div>
		</div>

	  <div class='form-group'>
  		<small><i class='fa fa-youtube'></i><i class='fa fa-vimeo'></i> URL de la bande-annonce ou de la présentation / révision de l'article, facultatif<br />
  			<em class='text-secondary'>https://www.youtube.com/watch?v=<code>xxx</code> ou https://youtu.be/<code>xxx</code></em> ou
  			<em class='text-secondary'>http://vimeo.com/<code>xxx</code> ou https://vimeo.com/<code>xxx</code></em></small>
			<div class='input-group'>
				<input type='text' name='video_url' class='form-control' value='" . $video_url . "' />
				<div class='input-group-append'>
					<button type='button' class='btn ";
		$disButton = null;
		if (preg_match('/^https?:\/\/(www\.)?youtu/i', $video_url)) {
			echo "btn-youtube";
		} elseif (preg_match('/^https?:\/\/(www\.)?vimeo/i', $video_url)) {
			echo "btn-vimeo";
		} else {
			echo "btn-secondary";
			$disButton = "disabled='disabled'";
		} 
		echo " js-btn-open-trailer-link' $disButton><i class='fa fa-external-link'></i></button>
				</div>
			</div>
		</div>

		<h4>Film / Affiche les données pertinentes <i class='fa " . ($is_movie || $actors ? "fa-angle-up" : "fa-angle-down") . " js-show-hide-movie-form-data pointer'></i></h4>
		<hr class='hr-movie-line " . ($is_movie || $actors ? "js-hide" : "") . "' />";

		echo "<div class='movie-data-wrapper " . ($is_movie || $actors ? "" : "js-hide") . "'>

		  <div class='form-group row'>
				<div class='col'>
					<small>Date de sortie: <em class='text-secondary'>optionnel</em></small>
					<input type='text' name='release_date' class='form-control' value='" . $release_date . "' placeholder='YYYY-MM-DD or YYYY' pattern='[0-9]{4}-[0-9]{2}-[0-9]{2}|[0-9]{4}' />
				</div>
				<div class='col'>
					<small>Temps d'exécution</small>
					<div class='input-group'>
						<input type='number' name='running_time' min='0' class='form-control' value='" . $running_time . "' placeholder='optionnel' />
						<div class='input-group-append'>
							<span class='input-group-text'>min</span>
						</div>
					</div>
				</div>
				<div class='col'>
					<small>Film??</small>
					<div class='custom-control custom-checkbox'>
					  <input type='checkbox' name='is_movie' value='1' id='cb_is_movie' class='custom-control-input' " . ($is_movie ? "checked='checked'" : "") . ">
					  <label class='custom-control-label' for='cb_is_movie'>L'item est film/show/serie</label>
					</div>
				</div>
			</div>

		  <div class='form-group'>
	  		<small>Acteurs <em class='text-secondary'>séparé par des virgules <code><em>,</em></code> - également utilisé pour les résultats de recherche</em></small>
				<textarea name='actors' class='form-control' rows='2'>" . str_replace("|",", ",$actors) . "</textarea>
			</div>

		</div>";


		echo "<h4>Suggestions d'items</h4>
		  <div class='form-group row'>
				<div class='col'>
					<div class='custom-control custom-checkbox'>
					  <input type='checkbox' name='show_amz_suggestions' value='1' id='cb_show_amz_suggestions' class='custom-control-input' " . ($show_amz_suggestions ? "checked='checked'" : "") . ">
					  <label class='custom-control-label' for='cb_show_amz_suggestions'>Afficher les items suggérés par Amazon <em class='small'>lié à cet item</em></label>
					  <strong class='js-amz-link-state small alert alert-info p-1 " . (!$show_amz_suggestions ? "js-hide" : "") . "' data-descr-on='Item-links head to Amazon' data-descr-off='Item-links stays on site'></strong>
					</div>
				</div>
			</div>";
		echo "<div class='form-group row form-group-amazon-suggestions " . (!$show_amz_suggestions ? "js-hide" : "") . "'>
			<div class='col'>
				<div class='custom-control custom-radio custom-control-inline'>
				  <input type='radio' name='link_amz_suggestions_to_amz' value='1' id='cb_link_amz_suggestions_to_amz_on' class='custom-control-input' " . ($link_amz_suggestions_to_amz ? "checked='checked'" : "") . ">
				  <label class='custom-control-label' for='cb_link_amz_suggestions_to_amz_on'>Lier l'item à Amazon</label>
				</div>
				<div class='custom-control custom-radio custom-control-inline'>
				  <input type='radio' name='link_amz_suggestions_to_amz' value='0' id='cb_link_amz_suggestions_to_amz_off' class='custom-control-input' " . (!$link_amz_suggestions_to_amz ? "checked='checked'" : "") . ">
				  <label class='custom-control-label' for='cb_link_amz_suggestions_to_amz_off'>Rester avec l'item sur la page</label>
				</div>
			</div>
		</div>";


		echo "<div class='form-group row'>
				<div class='col'>
					<div class='custom-control custom-checkbox'>
					  <input type='checkbox' name='show_other_group_items' value='1' id='cb_show_other_group_items' class='custom-control-input' " . ($show_other_group_items ? "checked='checked'" : "") . ">
					  <label class='custom-control-label' for='cb_show_other_group_items'>Afficher 10 articles aléatoires de vos produits dans le même groupe de produits</label>
					</div>
				</div>
			</div>";



	echo "<div class='row'>
			<div class='col-12'>
				<button type='submit' class='btn btn-zstore btn-primary'><i class='fa fa-save'></i> Sauvegarder</button>
			</div>
		</div>";

	echo "</div>";

	echo "</form>";

?>

<hr />

<div class='clearfix'></div>

