<?php 

	$loadWysiHTML = true;

	$addNewItem = isset($_REQUEST["addNewItem"]) ? true : false;

	$productReviews = $zstore->getProductReviews($productData->asin);

	if ($error) {
		echo "<div class='alert alert-danger'>" . implode("<br />",$error) . "</div>";
	}
	if ($success) {
		echo "<div class='alert alert-success'>$success</div>";
	}

	$formBase = "<div class='card mb-3' data-asin='" . $productData->asin . "' data-review-id='{ID}' data-new-item='{NEWITEM}'>
					<form method='post' action='$adminScript' class='FadmItemProductReview'>
					<input type='hidden' name='location' value='$adminScript?$thisSubPage&amp;admItem&amp;todo=$todo&amp;itemId=$itemId' />
					<div class='card-header pb-1 pt-1 pr-0'>
						<div class='float-left pt-2 successBox text-success js-hide'><i class='fa fa-check'></i> <strong>Sauvegardé</strong></div>
						<ul class='nav nav-pills card-header-pills justify-content-end nav-review-options'>
				      <li class='nav-item'><button type='button' class='nav-link btn btn-sm btn-link js-btn-edit-review text-link'><i class='fa fa-pencil fa-fw'></i></button></li>
				      <li class='nav-item'><button type='button' class='nav-link btn btn-sm btn-link js-btn-remove-review text-danger'><i class='fa fa-times fa-fw'></i></button></li>
				      <li class='nav-item'><button type='button' class='nav-link btn btn-sm btn-link js-btn-pos-review text-secondary' data-dir='up'><i class='fa fa-sort-asc fa-fw'></i></button></li>
				      <li class='nav-item'><button type='button' class='nav-link btn btn-sm btn-link js-btn-pos-review text-secondary' data-dir='down'><i class='fa fa-sort-desc fa-fw'></i></button></li>
				     </ul>
					</div>
					<div class='card-body'>
						<div class='form-group'>
							<small>Source/Headline</small>
							<input type='text' name='source' class='form-control-plaintext' value='{SOURCE}' readonly='readonly' />
						</div>
						<div class='form-group'>
							<small>Review/Details <em class='text-secondary'>HTML allowed</em></small><br />							
							<div class='btn-group btn-group-sm js-hide' id='wysihtml-review-toolbar-{ID}'>
							  <button type='button' data-wysihtml-command='bold' title='CTRL+B' class='btn btn-sm btn-outline-dark'><i class='fa fa-bold fa-fw'></i></button>" .
		    				"<button type='button' data-wysihtml-command='italic' title='CTRL+I' class='btn btn-sm btn-outline-dark'><i class='fa fa-italic fa-fw'></i></button>" .
		    				"<button type='button' data-wysihtml-command='insertUnorderedList' class='btn btn-sm btn-outline-dark'><i class='fa fa-list-ul fa-fw'></i></button>" .
		    				"<button type='button' data-wysihtml-command='underline' class='btn btn-sm btn-outline-dark'><i class='fa fa-underline fa-fw'></i></button>" .
		    				"<button type='button' data-wysihtml-action='change_view' class='btn btn-sm btn-outline-dark btn-wysihtml-change-view'><i class='fa fa-code fa-fw'></i></button>
							</div>
							<textarea name='review' class='form-control js-hide' rows='5' id='wysihtml-review-textarea-{ID}'>{REVIEW}</textarea>
							<div class='form-control-plaintext' id='wysihtml-review-div-{ID}'>{REVIEW}</div>
						</div>
					</div>
					<div class='card-footer text-right pb-1 pt-1 js-hide'>
						<button type='submit' class='btn btn-zstore btn-primary'><i class='fa fa-save'></i> Sauvegarder</button>
					</div>
				</form>
			</div>";




	if (!$addNewItem) {
		echo "<a href='$adminScript?$thisSubPage&amp;admItem&amp;todo=$todo&amp;itemId=$itemId&amp;addNewItem' class='btn btn-sm btn-primary float-right js-btn-add-review'><i class='fa fa-plus-square-o'></i> ajouter une entrée de revue</a>";

		echo "<div class='clearfix mb-2'></div>";
	}


	if ($addNewItem) {
		echo str_replace(
				array("{ID}", "{SOURCE}", "{REVIEW}", "{NEWITEM}"),
				array("X", "", "", "1"),
				$formBase
			);
	}


	echo "<div class='review-cards-holder'>";

	foreach ($productReviews as $row) {
		$find = array("{ID}", "{SOURCE}", "{REVIEW}", "{NEWITEM}");
		$repl = array($row->id, $row->source, $row->review, "0");
		echo str_replace($find, $repl, $formBase);
	}

	echo "</div>";



?>

<hr />

<div class='clearfix'></div>

