<?php

$cat_ids = array();
if (isset($_REQUEST["cat_ids"]) && is_array($_REQUEST["cat_ids"])) {
	$cat_ids = $_REQUEST["cat_ids"];
}

if ($action == "importASINsFromHtml") {
	$dom = $_REQUEST["dom"];
	preg_match_all('|/dp/([^&\?/]*)|', $dom, $matches);
	$ASINListArr = array_values(array_unique($matches[1]));
	$ASINList = join("\n",$ASINListArr);
	$zstore->importASINList($ASINList,$cat_ids);
}

// $category_options = "<option value='0'>-- ohne Kategorie --</option>\n";
$category_options = null;
foreach ($mainCategories as $row) {
	$category_options .= "<option value='" . $row->id ."' " . (in_array($row->id, $cat_ids) ? "selected='selected'" : "") . ">" . $row->descr . "</option>\n";
	$category_descr[$row->id] = $allCategoriesData[$row->id]->descr;
	if ($subCategories[$row->id]) {
		foreach ($subCategories[$row->id] as $subCat) {
			$category_options .= "<option value='" . $subCat->id ."' " . (in_array($subCat->id, $cat_ids) ? "selected='selected'" : "") . ">&rdsh; " . $subCat->descr . "</option>\n";
			$category_descr[$subCat->id] = $allCategoriesData[$subCat->id]->descr;
		}
	}
}

if (isset($zstore->error) && $zstore->error) {
	echo "<div class='alert alert-danger'>" . $zstore->error . "</div>";
}
if (isset($zstore->success) && $zstore->success) {
	echo "<div class='alert alert-success'>" . $zstore->success . "</div>";
}

?>

	<form method="post" action="<?php echo $adminScript; ?>" id="asinListImportF">
		<input type='hidden' name="<?php echo $thisSubPage; ?>" />
		<input type='hidden' name="sub2" value="<?php echo $sub2; ?>" />
		<input type='hidden' name="sourceKind" value="HTML" />
		<input type='hidden' name="action" value="importASINsFromHtml" />

<?php
	if ($mainCategories) {
?>
		<div class="form-group row">
	    <label class="col-sm-4">Catégorie de Produit</label>
	    <div class="col-sm-8">
				<select class="mt-neg-7 form-control form-control-multiselect-category" name="cat_ids[]" multiple='multiple'>
					<?php echo $category_options; ?>
				</select>
			</div>
		</div>
<?php
	}
?>

		<div class="form-group row">
	    <label class="col-sm-2 col-form-label">Code HTML<br /><em class='small importlines text-secondary'>gardez en dessous de 20.000 lignes<br /><span>0</span> Lignes</em></label>
	    <div class="col-sm-10">
	      <textarea class="form-control" id="importList" name="dom" rows="20"></textarea>
	    </div>
	  </div>
	  <div class="row">
	  	<div class='col-sm-10 ml-auto'>
	  		<button type="submit" class="btn btn-primary btn-zstore">analyser le HTML et extraire les ASIN</button>
	  	</div>
	  </div>
	</form>
