<?php

	$listType = $_SESSION["listType"];
	$parentAsin = $_SESSION["parentAsin"];
	$srch = $_SESSION["admItemSearch"];
	$desc = $_SESSION["admItemOrderByDirectionDesc"];
	$orderby = $_SESSION["admItemOrderBy"];
	$flt_cat_id = $_SESSION["admItemCat"];
	$flt_source = $_SESSION["admFltSource"];
	$flt_noImg = $_SESSION["admFltnoImg"];
	$flt_noTitle = $_SESSION["admFltnoTitle"];


	//not working now - have to update pager get variables - maybe next time
	$showCustomFields = isset($_REQUEST["scf"]) && $_REQUEST["scf"] ? 1 : 0;


	if (isset($_REQUEST["listType"])) {
		$listType = $_SESSION["listType"] = $_REQUEST["listType"];
	}
	if (!$listType) $listType = "large";


	if (isset($_REQUEST["parentAsin"])) {
		if ($_REQUEST["parentAsin"] == "none") {
			$parentAsin = $_SESSION["parentAsin"] = null;
		} else {
			$parentAsin = $_SESSION["parentAsin"] = $_REQUEST["parentAsin"];
		}
	}

	if (isset($_REQUEST["srch"])) {
		$srch = $_SESSION["admItemSearch"] = trim($_REQUEST["srch"]);
	}

	if (isset($_REQUEST["obd"])) {
		if ($_REQUEST["obd"] == "desc") {
			$desc = $_SESSION["admItemOrderByDirectionDesc"] = true;
		} else {
			$desc = $_SESSION["admItemOrderByDirectionDesc"] = false;
		}
	}

	if (isset($_REQUEST["ob"])) {
		if ($_REQUEST["ob"] != "title") {
			$orderby = $_SESSION["admItemOrderBy"] = trim($_REQUEST["ob"]);
		} else {
			$orderby = $_SESSION["admItemOrderBy"] = false;
		}
	}

	$filter = array();
	if ($srch) {
		$filter["srch"] = $srch;
	}
	if ($parentAsin) {
		$filter["parentAsin"] = $parentAsin;
	}
	if ($desc) {
		$filter["desc"] = $desc;
	}
	if ($orderby) {
		$filter["orderby"] = $orderby;
	}

	if ($_REQUEST["flt"]) {
		switch ($_REQUEST["flt"]) {
			case 'ownCat':
				$flt_cat_id = $_REQUEST["catId"];
				if (is_numeric($flt_cat_id)) {
					$_SESSION["admItemCat"] = $flt_cat_id;
				} else {
					$flt_cat_id = $_SESSION["admItemCat"] = false;
				}
				break;
			case 'source':
				$flt_source = $_REQUEST["val"];
				if ($flt_source == "all") {
					$flt_source = $_SESSION["admFltSource"] = null;
				} else {
					$_SESSION["admFltSource"] = $flt_source;
				}
				break;
			case 'noImg':
				$flt_noImg = intval($_REQUEST["val"]);
				if (!$flt_noImg) {
					$flt_noImg = $_SESSION["admFltnoImg"] = null;
				} else {
					$_SESSION["admFltnoImg"] = $flt_noImg;
				}
				break;
			case 'noTitle':
				$flt_noTitle = intval($_REQUEST["val"]);
				if (!$flt_noTitle) {
					$flt_noTitle = $_SESSION["admFltnoTitle"] = null;
				} else {
					$_SESSION["admFltnoTitle"] = $flt_noTitle;
				}
				break;
			default:
				# code...
				break;
		}
	}

	if ($flt_cat_id) {
		$filter["own_cat"] = $flt_cat_id;
	}

	if ($flt_source) {
		$filter["source"] = $flt_source;
	}

	if ($flt_noImg) {
		$filter["noImg"] = $flt_noImg;
	}

	if ($flt_noTitle) {
		$filter["noTitle"] = $flt_noTitle;
	}

	$products = $zstore->getProducts($filter);

	$activeView[$listType] = "btn-secondary btn-zstore";

 	//categories already defined in products.php

 	//add no categories to descriptions only
 	$allCategoriesData["-1"] = new stdClass();
 	$allCategoriesData["-1"]->descr = "without category";


	$category_options = array();
	$category_descr = array();
	foreach ($mainCategories as $row) {
		$category_options[$row->id] = "<a href='#' class='dropdown-item set-cat-id " . (!$row->status ? "offline" : "") . "' data-cat-id='" . $row->id . "'><i class='fa fa-square-o cat_id_ico'></i> " . $row->descr . "</a>\n";
		$category_descr[$row->id] = $allCategoriesData[$row->id]->descr;
		if ($subCategories[$row->id]) {
			foreach ($subCategories[$row->id] as $subCat) {
				$category_options[$subCat->id] = "<a href='#' class='dropdown-item set-cat-id " . (!$subCat->status ? "offline" : "") . "' data-cat-id='" . $subCat->id . "'><i class='fa fa-square-o cat_id_ico'></i> &rdsh; " . $subCat->descr . "</a>\n";
				$category_descr[$subCat->id] = $allCategoriesData[$subCat->id]->descr;
			}
		}
	}

	echo "<div class='row mb-10'>";

		echo "<div class='col-auto small text-secondary'>";
		if ($parentAsin) {
			echo "<strong>Variation de (incluant)</strong> $parentAsin <a href='" . $adminScript . "?" . $thisSubPage . "&amp;parentAsin=none' class='tt' title='Filtre parent asin non défini'><i class='fa fa-times'></i></a>";
		}
		echo "&nbsp;</div>";

		echo "<div class='col text-right small text-secondary'>&nbsp;";

		if ($filter) {
			$filterDescrs = array();
			if ($flt_cat_id) {
				$filterDescrs[] = $allCategoriesData[$flt_cat_id]->descr;
			}
			if ($flt_source) {
				$filterDescrs[] = $flt_source;
			}
			if ($flt_noImg) {
				$filterDescrs[] = "sans images";
			}
			if ($flt_noTitle) {
				$filterDescrs[] = "sans titres";
			}
			if ($filterDescrs) {
				echo "<strong>filtré par</strong> " . implode(", ",$filterDescrs);
			}
		}


		echo "</div>";

	echo "</div>";//row


	echo "<div class='row mb-10'>";


		echo "<div class='col-5'>";


		//SEARCH FORM
		echo "<form class='form-inline pull-left' method='get' action='" . $adminScript . "' id='FsrchAdmItems'>
		<input type='hidden' name='" . $thisSubPage . "' />
		<div class='input-group'>
			<div class='input-group-prepend'>
				<a href='" . $adminScript . "?" . $thisSubPage . "&amp;listType=large' class='btn btn-sm " . ($activeView["large"]?:"btn-outline-secondary btn-outline-zstore") . " tt' title='Thumbnail-View'><i class='fa fa-th-large'></i></a>
				<a href='" . $adminScript . "?" . $thisSubPage . "&amp;listType=list' class='btn btn-sm " . ($activeView["list"]?:"btn-outline-secondary btn-outline-zstore") . " tt' title='List-View, options d'édition avancées'><i class='fa fa-bars'></i></a>
			</div>
			<input type='text' placeholder='Recherche' name='srch' class='form-control form-control-sm " . (!$srch ? "w0" : "") . "' value='" . $srch . "'/>
			<div class='input-group-append'>
				<button type='submit' class='btn btn-sm btn-outline-secondary btn-srch-items'><i class='fa fa-search'></i></button>";
		if ($srch) {
			echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;srch' class='btn btn-sm btn-outline-secondary tt' title='Effacer la recherche'><i class='fa fa-times'></i></a>";
		}
		echo "</div>
			</div></form>";
		echo "</div>"; //col


	echo "<div class='col'>";
	//filters and order

	if (!$orderby) $orderway = "title";
	else $orderway = $orderby;
	if (!$desc) $orderway .= "-asc";
	else $orderway .= "-desc";

	$actSort[$orderway] = "active";
	$orderbyTitle = array(
		"title-asc" => "<i class='fa fa-sort-amount-asc'></i> par Titre",
		"title-desc" => "<i class='fa fa-sort-amount-desc'></i> par Titre",
		"created-asc" => "<i class='fa fa-sort-amount-asc'></i> par Date",
		"created-desc" => "<i class='fa fa-sort-amount-desc'></i> par Date"
		);
	echo "<div class='btn-group'>";
	//order by
	echo "<div class='btn-group'>
	    <button type='button' class='btn btn-outline-secondary btn-outline-zstore dropdown-toggle btn-sm' data-toggle='dropdown'>" . $orderbyTitle[$orderway] . "</button>
	    <div class='dropdown-menu'>
	   		<a href='" . $adminScript . "?" . $thisSubPage . "&amp;obd=asc&amp;ob=title' class='dropdown-item " . $actSort["title-asc"] . "'><i class='fa fa-sort-amount-asc'></i> par Titre croissant</a>
	   		<a href='" . $adminScript . "?" . $thisSubPage . "&amp;obd=desc&amp;ob=title' class='dropdown-item " . $actSort["title-desc"] . "'><i class='fa fa-sort-amount-desc'></i> par Titre décroissant</a>
	   		<a href='" . $adminScript . "?" . $thisSubPage . "&amp;obd=asc&amp;ob=created' class='dropdown-item " . $actSort["created-asc"] . "'><i class='fa fa-sort-amount-asc'></i> par Date d'ajout, croissant</a>
	   		<a href='" . $adminScript . "?" . $thisSubPage . "&amp;obd=desc&amp;ob=created' class='dropdown-item " . $actSort["created-desc"] . "'><i class='fa fa-sort-amount-desc'></i> par Date ajoutée, décroissant</a>
	    </div>
	  </div>";

	//filters
	echo "<div class='btn-group'>
    <button type='button' class='btn " . ($filterDescrs ? "btn-secondary btn-zstore" : "btn-outline-secondary btn-outline-zstore") . " dropdown-toggle btn-sm' data-toggle='dropdown'><i class='fa fa-filter'></i></button>
    <div class='dropdown-menu dropdown-menu-small dropdown-menu-right'>";
  if ($mainCategories) {
 		echo "<h6 class='dropdown-header'>Your Categories</h6>";
 		foreach ($mainCategories as $row) {
			echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;flt=ownCat&amp;catId=" . $row->id . "' class='dropdown-item" . ($flt_cat_id == $row->id ? " active" : "") . (!$row->status ? " offline" : "") . "'><i class='fa fa-fw fa-filter'></i> " . $row->descr . "</a>\n";
	 		if ($subCategories[$row->id]) {
				foreach ($subCategories[$row->id] as $subCat) {
					echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;flt=ownCat&amp;catId=" . $subCat->id . "' class='dropdown-item" . ($flt_cat_id == $subCat->id ? " active" : "") . (!$subCat->status ? " offline" : "") . "'><i class='fa fa-fw fa-filter'></i> &rdsh; " . $subCat->descr . "</a>\n";
				}
			}
 		}
 		echo "<div class='dropdown-divider'></div>";
	  echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;flt=ownCat&amp;catId=-1' class='dropdown-item " . ($flt_cat_id == -1 ? " active" : "") . "'><i class='fa fa-fw fa-question-circle-o'></i> sans aucune catégorie</a>\n";
  	if ($flt_cat_id) {
	   	echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;flt=ownCat&amp;catId=all' class='dropdown-item'><i class='fa fa-fw fa-times'></i> items de toutes les catégories</a>\n";
	  }

  }
  //time filters???
  echo "<div class='dropdown-divider'></div>";

 	echo "<h6 class='dropdown-header'>Sources d'importation</h6>";
 	//imported by admin (admin-import)
	echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;flt=source&amp;val=admin-import' class='dropdown-item" . ($flt_source == "admin-import" ? " active" : "") . "'><i class='fa fa-fw fa-filter'></i> importé par admin</a>\n";
 	//coming from suggestions (amazon-suggestions)
	echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;flt=source&amp;val=amazon-suggestions' class='dropdown-item" . ($flt_source == "amazon-suggestions" ? " active" : "") . "'><i class='fa fa-fw fa-filter'></i> suggestions par amazon</a>\n";
 	//coming from search results (search-results)
	echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;flt=source&amp;val=search-results' class='dropdown-item" . ($flt_source == "search-results" ? " active" : "") . "'><i class='fa fa-fw fa-filter'></i> résultats de recherche supplémentaires</a>\n";
 	//coming from as variation from parent item 
	echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;flt=source&amp;val=as_variation' class='dropdown-item" . ($flt_source == "as_variation" ? " active" : "") . "'><i class='fa fa-fw fa-filter'></i> variation enfant - <i>enfant de parent</i></a>\n";
 	//coming from children as parent 
	echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;flt=source&amp;val=variation_parent' class='dropdown-item" . ($flt_source == "variation_parent" ? " active" : "") . "'><i class='fa fa-fw fa-filter'></i> variation parente - <i>parente de enfant</i></a></a>\n";
	if ($flt_source) {
	  echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;flt=source&amp;val=all' class='dropdown-item'><i class='fa fa-fw fa-times'></i> aucune restriction de source</a>\n";
	}
 	echo "<div class='dropdown-divider'></div>";

 	echo "<h6 class='dropdown-header'>Autres Filtres</h6>";
 	//without images
	echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;flt=noImg&amp;val=" . ($flt_noImg ? 0 : 1) . "' class='dropdown-item" . ($flt_noImg ? " active" : "") . "'><i class='fa fa-fw fa-filter'></i> sans images</a>\n";

 	//having no title because of importing issues
	echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;flt=noTitle&amp;val=" . ($flt_noTitle ? 0 : 1) . "' class='dropdown-item" . ($flt_noTitle ? " active" : "") . "'><i class='fa fa-fw fa-filter'></i> sans titres <small class='text-secondary>ne devrait pas arriver</small></a>\n";
  


  echo "</div>
	</div>";

	echo "</div>"; //parent btn-group

	echo "</div>"; //col

	$pager = null;


	echo "<div class='col'>";

		if ($zstore->pages > 1) {
	    $navPages = $zstore->drawPagination($zstore->pages,$zstore->p); 
	    if ($navPages) {
	      // $pager .= "<div class='row'>";
	      // $pager .= "<div class='col-xs-12 text-right'>";
	      $pager .= "<ul class='pagination pagination-sm justify-content-end  mb-0'>";

	       $pager .= "<li class='page-item " . ($zstore->p > 1 && $zstore->p > 1 ? "" : "disabled") . "'><a href='" . $adminScript . "?" . $thisSubPage . "&amp;p=" . ($zstore->p-1) . "&amp;srch=$srch&amp;scf=$showCustomFields' class='page-link pagination__prev'><i class='fa fa-chevron-left'></i></a></li>";

	      foreach ($navPages as $row) {
	          if ($row["P"]) {
	            $pager .= "<li class='page-item " . ($row["ACTIVE"] ? "active" : "") . "'><a href='" . $adminScript . "?" . $thisSubPage . "&amp;p=" . $row["P"] . "&amp;srch=$srch&amp;scf=$showCustomFields' class='page-link'>" . $row["P"] . "</a></li>";
	          }
	          if (array_key_exists("SEP",$row) && $row["SEP"]) {
	            $pager .= "<li class='page-item disabled'><span class='page-link'>...</span></li>";
	          }
	      }

	      $pager .= "<li class='page-item " . ($zstore->p < $zstore->pages ? "" : "disabled") . "'><a href='" . $adminScript . "?" . $thisSubPage . "&amp;p=" . ($zstore->p+1) . "&amp;srch=$srch&amp;scf=$showCustomFields' class='page-link pagination__next'><i class='fa fa-chevron-right'></i></a></li>";
	      
	      $pager .= "</ul>";
	    }
	  }

    echo $pager;



	echo "</div>";






	echo "</div>"; //row


	if (!$products) {
		echo "<div class='alert alert-info mt-10'>Il n'y avait pas d'articles de produit " . ($filter ? "basé sur votre filtre " : "") . "trouvé dans votre base de données.</div>";
	} else {

		//two different views
		switch ($listType) {
			//large thumbnails with less features
			case "large":
				echo '<div class="row amz-adm-item-grid">';
	        foreach ($products as $row) {
	          echo "<div class='col-md-4 col-sm-6 amz-adm-item-item' data-item-id='" . $row->id . "' data-item-id='" . $row->asin . "'>
	            <div class='card card-products'>";

	            echo "<div class='btn-group btn-group-xs btn-group-vertical btn-group-adm-items'>
	            		<a href='" . $row->item_url . "' class='btn btn-xs btn-warning open-external " . (!$row->item_url ? "disabled" : "") . "'><i class='fa fa-fw fa-amazon'></i> sur Amazon</a>
	            		<a href='" . $adminScript . "?" . $thisSubPage . "&amp;admItem&amp;itemId=" . $row->id . "' class='btn btn-xs btn-secondary'><i class='fa fa-fw fa-pencil'></i> Modifier l'item</a>
	            		<button type='button' class='btn btn-xs btn-danger js-btn-remove text-nowrap'><i class='fa fa-fw fa-times'></i> Supprimer l'item</button>
	            	</div>";
	          if ($row->imported && $row->image_url) {
	            echo "<a href='" . $row->url . "' class='open-external'><img src='" . $zstore->getImgSizeUrl($row->image_url,"md") . "' class='card-img-top' alt='' /></a>";
	          } else {
	            echo "<div class='card-img-top bg-light border-secondary text-muted'><h3 class='text-center mt-20 mb-20'><i class='fa fa-spinner fa-spin fa-3x fa-fw'></i><br /><small>" . $row->asin . "</small></h3></div>";
	          }
	          echo "<div class='card-body'>";
	          if ($row->imported) {
	          	echo "<h6 class='card-title'>" . $row->titleDB . "</h6>";
	          	echo "<div class='row'>";
	          	echo "<div class='col-6 small text-secondary'><em>" . date("Y-m-d G:i",strtotime($row->imported)) . "</em></div>";
	          	echo "<div class='col-6 text-right small text-info'><strong>" . $row->price_str_offer . "</strong></div>";
	          	echo "</div>";
	          } else {
	          	if ($row->import_failed) {
			          echo "<h6 class='card-title'>Des problèmes sont survenus lors de l'importation de cet item</h6>";
			        } else {
		          	echo "<h6 class='card-title'>Les données de l'item seront bientôt importées</h6>";
	          	}
	          }

	          echo "</div>"; //card-body
	          echo "</div>"; //card
	          echo "</div>"; //col
	        }
	        echo "</div>"; //row
	      break;

	      //table view with more and multi-edit functions
	      case "list":
	      	//own categories were defined above
	      	function translateCategoryIdToDescr($cat_id) {
	      		global $category_descr;
	      		return $category_descr[$cat_id];
	      	}

	      	echo "<table class='table table-bordered table-striped table-hover table-adm-items'>
	      		<thead><tr>
	      			<th class='w30'><i class='fa fa-square-o fa-fw js-chgstat-item-checkbox text-primary'></i></th>
	      			<th colspan='2'>Item 
	      				<button type='button' class='btn btn-sm btn-secondary btn-zstore js-btn-show-hide-custom-fields' data-text-show='afficher les champs de titre personnalisés' data-text-hide='masquer les champs de titre personnalisés'><i class='fa fa-i-cursor'></i> <span>" . ($showCustomFields ? "masquer les champs de titre personnalisés" : "afficher les champs de titre personnalisés") . "</span></button>
	      			</th>
	      			<th class='w130 text-center'>Outils</th></tr>
	      		</thead>
	      		<tbody>";
	      	foreach ($products as $row) {
	      		echo "<tr data-item-id='" . $row->id . "' data-asin='" . $row->asin . "'>";
	      		echo "<td class='text-center'>";
	      			echo "<input type='checkbox' name='itemId[]' value='" . $row->id . "' class='dont-trigger' />";
	      		echo "</td>";
	      			// <td class='text-center'><i class='fa fa-square-o fw js-item-checkbox' data-checked=''></i></td>";
	      		//item image
	      		echo "<td class='w100 text-center small item-cell-img'>";
      			if ($row->imported) {
	            echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;itemId&amp;itemId=" . $row->id . "' class='dont-trigger'>";
	            if ($row->image_url) {
	            	echo "<img src='" . $zstore->getImgSizeUrl($row->image_url,"xs") . "' class='img-fluid' alt='' />";
	            } else {
	            	echo "<i class='fa fa-cube fa-border text-secondary bg-light fa-3x'></i>";
	            }
	            echo "</a>";
	          } else {
	            echo "<div class='js-not-imported'><i class='fa fa-spinner fa-spin fa-3x fa-fw'></i><br />" . $row->asin . "</div>";

							echo "<div class='js-hide js-just-imported'>
								<a href='" . $adminScript . "?" . $thisSubPage . "&amp;itemId&amp;itemId=" . $row->id . "' class='dont-trigger'>";
	            
	            echo "<img src='#' class='img-fluid' alt='' />";
	            echo "<i class='fa fa-cube fa-border text-secondary bg-light fa-3x no-img'></i>";
	            
	            echo "</a>
	            </div>";


	          }
      			echo "</td>";
      			//short item details
      			echo "<td class='item-cell-short-details'>";
      			if ($row->imported) {
      				echo "<h6>" . $row->titleDB . "</h6>
      					added: " . date("Y-m-d G:i",strtotime($row->created)) . ", imported: " . date("Y-m-d G:i",strtotime($row->imported)) . "<br />";
      				echo "<em class='small'><i class='fa fa-amazon'></i> " . $row->product_group . ($row->platform ? ", " . $row->platform : "") . "
      					<span class='cat-descriptions'>";
	          	if ($row->catIds) {
	          		echo " | " . implode(", ",array_map("translateCategoryIdToDescr",$row->catIds));
	          	}
	          	echo "</span>
	          		</em>";
	          		echo "<div class='dont-trigger custom-input-field-wrapper js-hide'>
	          			<div class='input-group input-group-sm'>
	          				<div class='input-group-prepend'>
	          					<span class='input-group-text'>Titre personnalisé</span>
	          				</div>
	          				<input type='text' class='form-control js-input-custom-title' name='custom_title_" . $row->id . "' value='" . $row->title_custom . "'>
	          				<div class='input-group-append'>
	          					<button class='btn btn-outline-secondary js-btn-save-custom-title' type='button' disabled='disabled'><i class='fa fa-save fa-fw'></i></button>
	          				</div>
	          			</div>
	          		</div>";
      			} else {
      				if ($row->import_failed) {
			          echo "<h6>Des problèmes sont survenus lors de l'importation de cet item</h6>";
			        } else {
		          	echo "<h6>Les données de l'item seront bientôt importées</h6>
		          		added: " . date("Y-m-d G:i",strtotime($row->created));
	          	}
      			}
      			echo "<div class='small'>ASIN: " . $row->asin . "</div>";
      			if ($row->is_child) {
      				echo "<i class='fa fa-child tt' title='l'item est enfant'></i> de <a href='" . $adminScript . "?" . $thisSubPage . "&amp;parentAsin=" . $row->parent_asin . "'>" . $row->parent_asin . "</a>";
      			} elseif ($row->numberOfChildren) {
      				echo "Parent de <a href='" . $adminScript . "?" . $thisSubPage . "&amp;parentAsin=" . $row->asin . "'>" . $row->numberOfChildren . " <span class='tt' title='l'item est parent de l'enfant'><i class='fa fa-child'></i><i class='fa fa-child'></i></span></a>";
      			}
      			echo "</td>";

	          echo "<td class='text-center'>";
	          echo "<div class='btn-group-xs btn-group-vertical dont-trigger'>";

	          echo "<div class='btn-group dropleft'>
						    <button type='button' class='btn btn-outline-secondary dropdown-toggle btn-xs' data-toggle='dropdown'>Liens de l'item</button>
						    <div class='dropdown-menu dropdown-menu-small bg-light js-btn-item-links'>";
									echo "<a href='" . $row->item_url . "' class='dropdown-item open-external " . (!$row->item_url ? "disabled" : "") . " js-item-amazon-link'><i class='fa fa-amazon'></i> sur Amazon</a>";
									echo "<a href='" . $row->url . "' class='dropdown-item open-external " . (!$row->imported ? "disabled" : "") . "  js-item-store-link'><i class='fa fa-fw fa-z'></i> dans votre boutique</a>";
						echo "</div>
							</div>";

						if (!$row->item_url) {
		          echo "<button type='button' class='btn btn-sm btn-primary js-btn-fetch-data-now'><i class='fa fa-bolt'></i> récupérer les données maintenant</button>";
						}

						if (file_exists($zstore->xmlCacheDir . $zstore->config->amz_marketplace . "/" . $row->asin . ".xml") || file_exists($zstore->xmlCacheDir . $zstore->config->amz_marketplace . "/" . $row->asin . "_err.xml")) {
						// if (glob($zstore->xmlCacheDir . $zstore->config->amz_marketplace . "/" . $row->asin . "*.xml")) {
		          echo "<button type='button' class='btn btn-sm btn-warning text-nowrap border-top-0 border-bottom-0 border-secondary js-btn-xml'><i class='fa fa-code'></i> XML-Response</button>";
						}

	          echo "<a href='" . $adminScript . "?" . $thisSubPage . "&amp;admItem&amp;itemId=" . $row->id . "' class='btn btn-xs btn-secondary " . (!$row->item_url ? "disabled" : "") . " js-btn-edit-item'><i class='fa fa-pencil'></i> modifier</a>";

	          echo "<button type='button' class='btn btn-sm btn-danger js-btn-remove'><i class='fa fa-remove'></i> supprimer</button>";

	          echo "<div class='btn-group btn-group-categories'>
						    <button type='button' class='btn btn-secondary btn-zstore dropdown-toggle btn-xs' data-toggle='dropdown'>Catégories</button>
						    <div class='dropdown-menu dropdown-menu-right'>";
						
						if ($category_options) {
							echo "<div class='small'>";
							if ($row->catIds) {
								foreach ($category_options as $catId => $catOption) {
									if (in_array($catId, $row->catIds)) {
										echo str_replace("data-cat-id='$catId'><i class='fa fa-square-o", "data-cat-id='$catId'><i class='fa fa-check-square-o", $catOption);
									} else {
										echo $catOption;
									}
								}
							} else {
								echo implode("\n",$category_options);
							}
							echo "</div>";
						} else {
							echo "<div class='dropdown-item small'>aucune Catégorie definie</div>";
						}
						   		
						echo "</div>
					  </div>";

				  	echo "</div>";
	          echo "</td>";

	          echo "</tr>";
	        }
	        echo "</tbody>";
	        if ($products) {
	        	echo "<tfoot>
	        		<tr class='row-multiple-items-actions'><td colspan='4' class='text-right dont-trigger'>
	        			Actions for selected items:
	        			<button type='button' class='btn btn-primary btn-sm js-btn-import-items-data' disabled='disabled'><i class='fa fa-bolt'></i> récupérer les données maintenant</button>
	        			<button type='button' class='btn btn-danger btn-sm js-btn-remove-items' disabled='disabled'><i class='fa fa-times'></i> supprimer l'item</button>
	        			";
	        	if ($category_options) {
	        		echo "<button type='button' class='btn btn-secondary btn-sm js-btn-uncat-items' disabled='disabled'><i class='fa fa-minus'></i> ne pas catégoriser les items</button>\n
	        			<div class='btn-group btn-group-categories-for-selected-items' disabled='disabled'>
	        				<button type='button' class='btn btn-secondary btn-secondary btn-zstore dropdown-toggle btn-sm' data-toggle='dropdown' disabled='disabled'><i class='fa fa-bars'></i> catégoriser les items</button>
	        				<div class='dropdown-menu dropdown-menu-right'>" . implode("\n",$category_options) . "</div>
		        		</div>";
	        	}
	        	echo "</td></tr>
	        		</tfoot>";
	        }
	        echo "</table>";
	       break;
		}
        echo str_replace("justify-content-end","",$pager);



		
	}




?>