<?php

$catId = 0;

$currentPage = "favorites";

//set page data
$zstore->setSite(
	array("title" => $zstore->lang("hl_favorites")
			 	)
);

include("header.php");


$filter = array();

//below header because of the favAsins defined in header.php
$filter["favAsins"] = $favAsins;

$products = $zstore->getProducts($filter);


?>

		  	<div class='container'>
			  	<div class='row'>
			  		<div class='col-12'>
						  <ol class="zstore-breadcrumb d-flex flex-nowrap">
						    <li><a href="<?php echo $zstore->instDir; ?>/">Home</a></li>
						    <li class="active"><?php echo $zstore->lang("bc_favorites"); ?></li>
						  </ol>
			  		</div>
			  	</div>
			  </div>


    <div class="jumbotron pt-4">
      <div class="container">
        <h1><?php echo $zstore->lang("hl_favorites"); ?></h1>
      </div>
    </div>


<section class='section'>
	<div class='container'>

<?php
	$pager = null;
	$thisUrlPath = $_SERVER["PHP_SELF"];
	if ($zstore->pages > 1) {
    $navPages = $zstore->drawPagination($zstore->pages,$zstore->p); 
    if ($navPages) {
      // $pager .= "<div class='row'>";
      // $pager .= "<div class='col-xs-12 text-right'>";
      $pager .= "<ul class='pagination pagination-sm justify-content-end mb-20'>";

       $pager .= "<li class='page-item " . ($zstore->p && $zstore->p > 1 ? "" : "disabled") . "'><a href='$thisUrlPath?p=" . ($zstore->p-1) . "' class='page-link'><i class='fa fa-chevron-left'></i></a></li>";

      foreach ($navPages as $row) {
          if ($row["P"]) {
            $pager .= "<li class='page-item " . ($row["ACTIVE"] ? "active" : "") . "'><a href='$thisUrlPath?p=" . $row["P"] . "' class='page-link'>" . $row["P"] . "</a></li>";
          }
          if ($row["SEP"]) {
            $pager .= "<li class='page-item disabled'><span class='page-link'>...</span></li>";
          }
      }

      $pager .= "<li class='page-item " . ($zstore->p < $zstore->pages ? "" : "disabled") . "'><a href='$thisUrlPath?p=" . ($zstore->p+1) . "' class='page-link'><i class='fa fa-chevron-right'></i></a></li>";
      
      $pager .= "</ul>";
    }
   }

  echo $pager;


	echo "<div class='alert alert-warning js-alert-no-favorites " . ($products ? "js-hide" : "") . "'>" . $zstore->lang("info_no_favorites") . "</div>";

	if ($products) {
?>
		<div class='row row-cards row-product-cards masonry-these-favorites'>
			<?php
				foreach ($products as $row) {
					echo "<div class='col-12 col-sm-6 col-md-4 col-lg-3 card-holder'>
						<div class='card card-favs'>
							<button type='button' class='btn btn-danger btn-sm btn-rm-from-favs' data-asin='" . $row->asin . "'><i class='fa fa-times'></i></button>
							<a href='" . $row->url . "'>";
					if ($row->image_url) {
						echo "<img src='" . $zstore->getImgSizeUrl($row->image_url,"md") . "' class='card-img-top mx-auto p-3' alt='' />";
					} else {
						echo "<i class='fa fa-cube fa-border text-secondary bg-light fa-no-item-pic'></i>";
					}
					echo "</a>
							<div class='card-body pt-0 pb-0'>
								<h6 class='card-title'>" . $row->titleDB . "</h6>
								</div>
						</div>				
					</div>";				
				}
			?>
		</div>
<?php
	}
?>

<?php
	echo $pager;
?>

	</div>
</section>







<?php include("footer.php"); ?>