<?php


$action = isset($_REQUEST["action"]) ? $_REQUEST["action"] : null;

include("header.php");

?>


<!-- header image [+] -->
<div id="homeSlider" class="carousel slide" data-ride="carousel">

  <!-- Indicators -->
  <ul class="carousel-indicators d-none">
    <li data-target="#homeSlider" data-slide-to="0" class="active"></li>
    <li data-target="#homeSlider" data-slide-to="1"></li>
  </ul>

  <!-- The slideshow -->
  <div class="carousel-inner">
    <div class="carousel-item active">
			<img src='<?php echo $zstore->instDir; ?>/layouts/<?php echo $zstore->config->layout; ?>/img/bike_slide.jpg' class='img-fluid' alt='' />
			<div class="carousel-caption">
		    <h3>Vélos de Montagne</h3>
		    <p>Nous avons eu beaucoup de plaisir à pédaller</p>
		  </div>
    </div>
    <div class="carousel-item">
			<img src='<?php echo $zstore->instDir; ?>/layouts/<?php echo $zstore->config->layout; ?>/img/slide_scooter.jpg' class='img-fluid' alt='' />
			<div class="carousel-caption">
		    <h3>Les Trotinettes!!!</h3>
		    <p>Vérifiez les nouvelles dans notre inventaire</p>
		  </div>
    </div>
  </div>

  <!-- Left and right controls -->
  <a class="carousel-control-prev" href="#homeSlider" data-slide="prev">
  	<i class='fa fa-chevron-left fa-2x'></i>
  </a>
  <a class="carousel-control-next" href="#homeSlider" data-slide="next">
  	<i class='fa fa-chevron-right fa-2x'></i>
  </a>

</div>
<!-- header image [-] -->



<section class='section' >
	<div class="container">
		<div class='row'>
			<div class='col-12'>
				<h1 class='text-center'><i class='fa fa-fw fa-z'></i>oaBoutique</h1>
				<p>Bienvenue sur la <i class='fa fa-fw fa-z'></i>oaBoutique. Commencez par faire une Recherche ou visitez les catégories. </p>
			</div>
		</div>
	</div>
</section>



	<div class='home-category-listing'>
			<?php
				foreach ($mainCategories as $row) {
					$products = $zstore->getRandomProducts($row->id,4,true);
					echo '<section class="section mt-2 border-bottom">
						<div class="container">';
					echo "<div class='row row-single-category'>
						<div class='col-12 col-md-3 col-xl-2'>
							<h4 class='font-bsn'><a href='" . $row->url . "' class='text-dark'>" . $row->descr . "</a></h4>";						
					if ($row->short_intro) {
						echo "<p class='card-text'>" . $row->short_intro . "</p>";
					}
					echo "</div>";
					if ($products) {
						echo "<div class='col-12 col-md-9 col-xl-10'>
							<div class='row row-cards masonry-this'>";
						$i=0;
						foreach ($products as $item) {
							$i++;
							$itemLink = $zstore->generateItemUrl($item->asin,$item->titleDB);

							echo "<div class='card-holder col-6 col-sm-6 col-md-6 col-lg-4 col-xl-3 " . ($i == 4 ? "d-lg-none d-xl-block" : "") . "'>
								<div class='card text-center'>
									<a href='" . $itemLink . "' class='no-text-decoration'>";
							if ($item->image_url) {
								echo "<img src='" . $zstore->getImgSizeUrl($item->image_url,"sm200") . "' class='img-fluid mx-auto mt-2' alt='' />";
							} else {
								echo "<i class='fa fa-cube fa-border text-secondary bg-light fa-no-item-pic-medium'></i>";
							}
							echo "</a>
									<div class='card-body'>
				          	<h6 class='card-title'>" . mb_strimwidth($item->titleDB, 0, 100, "...") . "</h6>
				          	<a href='" . $itemLink . "' class='btn btn-secondary btn-zstore btn-block btn-sm mt-10'>" . $zstore->lang("more_details") . "</a>
				          </div>";
				      
				      echo "</div></div>"; //card & col
						}
					}
					echo "</div></div>";	//row & col 
					echo "<div class='col col-category-link'><a href='" . $row->url . "' class='btn btn-block btn-secondary'>" . $zstore->lang("view_all_products") . "</a></div>";
					echo "</div>"; //row
					echo "</div>"; //container
					echo "</section>\n\n";
				}
			?>
		</div>

<?php include("footer.php"); ?>
