<?php

$currentPage = "cart";

include("header.php");


?>

  	<div class="card card-top-line">
		  <div class="card-header">
		  	<div class='container'>
			  	<div class='row'>
			  		<div class='col-12'>
						  <ol class="breadcrumb zstore-breadcrumb">
						    <li class="breadcrumb-item"><a href="<?php echo $zstore->instDir; ?>/">Home</a></li>
						    <li class="breadcrumb-item active"><?php echo $zstore->lang("shopping_cart"); ?></li>
						  </ol>
			  		</div>
			  	</div>
			  </div>
		  </div>
		 </div>


<section class='section mt-20'>
	<div class='container'>
		<div class='row'>
			<div class='col-12'>

				<div class='alert alert-info <?php echo $cartData["itemsCount"] ? "js-hide" : ""; ?> alert-no-items-in-cart'><?php echo $zstore->lang("info_no_items_in_cart"); ?></div>

			<?php
				if ($cartData["itemsCount"]) {
			?>
			<div class="shopping-cart-wrapper">

			<div class='alert alert-warning'><?php echo $zstore->lang("info_checkout_on_amazon"); ?></div>

				<!-- <div class="table-responsive mt-20"> -->
          <table class="table table-shopping-cart table-striped">
            <thead>
              <tr>
                <th colspan="2"><?php echo $zstore->lang("descr_product_name"); ?></th>
                <th class="text-right"><?php echo $zstore->lang("descr_unit_price"); ?></th>
                <th class="text-center w130"><?php echo $zstore->lang("descr_quantity"); ?></th>
                <th class="text-right"><?php echo $zstore->lang("descr_subtotal"); ?></th>
                <th class="text-center w130"><button type='button' class="btn btn-sm btn-outline-danger js-btn-empty-cart"><i class='fa fa-times'></i> <?php echo $zstore->lang("descr_empty_cart"); ?></button></th>
              </tr>
            </thead>
            <tbody>
           	<?php
           		$i = 0;
           		foreach ($cartData["Items"] as $item) {
           			$i++;
                $titleImg = null;
           			echo "<tr data-cart-item-id='" . $item->CartItemId . "'>
           				<td class='w100 text-center d-none d-md-inline'><a href='" . $item->url . "'>";
           			if ($item->image_url) {
                  echo "<img src='" . $zstore->getImgSizeUrl($item->image_url,"xs") . "' class='img-fluid' alt='' />";
                  $titleImg = "<img src='" . $zstore->getImgSizeUrl($item->image_url,"xs") . "' class='img-fluid d-md-none m-2 float-left' alt='' />";
           			} else {
									echo "<i class='fa fa-cube fa-border fa-3x text-secondary bg-light'></i>";
           			}
           			echo "</a></td>
           				<td>$titleImg<strong><a href='" . $item->url . "'>" . $item->titleDB . "</a></strong><br /><small class='text-secondary'>" . $item->ProductGroup . "<br /><em>" . $zstore->lang("sold_by") . "</em> " . $item->SellerNickname . "</small></td>
           				<td class='text-right text-nowrap align-middle xs-block'>" . $item->Price->FormattedPrice . "</td>
           				<td class='text-center text-nowrap align-middle xs-block'>
           					<div class='input-group'>
										  <input name='quantity-item-$i' type='text' class='form-control form-control-sm text-center item-number' value='" . $item->Quantity . "' readonly='readonly' />
										  <div class='input-group-append'>
										    <button class='btn btn-outline-secondary btn-sm js-btn-change-item-number' data-method='decrease' type='button'><i class='fa fa-minus'></i></button>
										    <button class='btn btn-outline-secondary btn-sm js-btn-change-item-number' data-method='increase' type='button'><i class='fa fa-plus'></i></button>
										  </div>
           					</div>
           				</td>
           				<td class='text-right text-nowrap align-middle xs-block'><strong class='item-subtotal'>" . $item->ItemTotal->FormattedPrice . "</strong></td>
           				<td class='text-center align-middle xs-block'><button class='btn btn-outline-danger btn-sm js-btn-remove-item-from-cart' type='button'><i class='fa fa-times'></i></button></td>
           			</tr>";
           		}
           		//summary
							echo "<tr>
         				<td class='text-right' colspan='5'><em class='text-secondary small'>" . $zstore->lang("descr_subtotal") . "</em> <strong class='sum-subtotal'>" . $cartData["SubTotal"]->FormattedPrice . "</strong></td>
         				<td></td>
         			</tr>";
         			//checkout
							echo "<tr>
         				<td class='text-right' colspan='6'><a href='" . $cartData["PurchaseURL"] . "' class='btn btn-amazon'><i class='fa fa-amazon'></i> " . $zstore->lang("checkout") . "</a></td>
         			</tr>";

           	?>

            </tbody>
          </table>
        <!-- </div> -->
			

			<?php
				} //	$cartData["itemsCount"]
			?>
			</div> <!-- col -->
		</div>	<!-- row -->
	</section>
<div class='clearfix'></div>


<?php include("footer.php"); ?>