<?php 

$zConfig = $zstore->getConfigData();


$marketplaceOptions = "<option value=''>votre place de marché</option>";
foreach ($zstore->getMarketplaces() as $row) {
	$marketplaceOptions .= "<option>" . $row->descr . "</option>\n";
}

$languageOptions = null;
foreach ($zstore->getLanguages() as $lang_key) {
	$languageOptions .= "<option>" . $lang_key . "</option>\n";
}

$categoryNavbarOptions = "<option value='0'>ne pas afficher</option>
	<option value='1'>afficher côte à côte</option>
	<option value='2'>afficher dans un menu déroullant</option>";

?>

<h2><i class='fa fa-fw fa-z'></i>oaBoutique - Configuration</h2>


<hr />
<h3 class='mb-20'><i class='fa fa-globe'></i> Configurez votre boutique et entreprise en ligne <button type='button' class='btn btn-outline-secondary js-help btn-sm' data-helpsection='websiteconfig'><i class='fa fa-question-circle'></i></button></h3>


<form method='post' action='<?php echo $adminScript; ?>' id='FsiteConfig' class='helpsection-websiteconfig'>
	<div class='alert F-alert js-hide'></div>
	<input type='hidden' name='settings' />
	<input type='hidden' name='action' value='updateSiteConfig' />
  <div class="form-group row">
  	<div class='col-sm-6 col-12 col-lg-4' data-help-text='<?php echo htmlentities('vous trouverez ici les langues définies et gérables dans la <a href="?languages">section Traduction</a>'); ?>' data-placement='top'>
			<small>Language du site <em class='text-secondary'>Votre zoaBoutique</em></small>
			<select name='lang' class='form-control'><?php echo str_replace(">" . $zConfig->lang . "<"," selected='selected'>" . $zConfig->lang . "<",$languageOptions); ?></select>
		</div>
		<div class='col-sm-6 col-12 col-lg-4' data-help-text='<?php echo htmlentities('le titre dans le volet à onglets des navigateurs ou le titre de la fenêtre - sera postposé si nécessaire'); ?>' data-placement='top'>
			<small>Nom de votre zoaBoutique <em class='text-secondary'>Nom de domaine</em></small>
			<input type="text" name="site_title" class="form-control" placeholder="ex zoaBoutique" value="<?php echo $zConfig->site_title; ?>" />
		</div>
		<div class='col-sm-6 col-12 col-lg-4' data-help-text='<?php echo htmlentities('Cette information est utilisé dans la balise méta auteur dans la tête html. Le nom de votre nom de domaine peut être utilisé pour ceci.'); ?>'>
			<small>Nom d'entreprise</small>
			<input type="text" name="site_author" class="form-control" placeholder="Nom | Email | SiteWeb.com" value="<?php echo $zConfig->site_author; ?>" />
		</div>
		<div class='col-sm-6 col-12 col-lg-4' data-help-text='<?php echo htmlentities('Pour activer la section produits numériques de votre zoaBoutique.'); ?>'>
			<small>Nom d'utilisateur (1TPE.FR) </small>
			<input type="text" name="affiliate_username" class="form-control" placeholder="Nom d'utilisateur 1tpe" value="<?php echo $zConfig->affiliate_username; ?>" />
		</div>
		<div class='col-sm-6 col-12 col-lg-4' data-help-text='<?php echo htmlentities('Les visiteurs vont être en mesure de vous contacter via cette adresse e-mail.'); ?>' data-placement='left'>
			<small>Adresse E-mail</small>
			<input type="email" name="contact_mail" class="form-control" placeholder="Formulaire de contact" required='required' value="<?php echo $zConfig->contact_mail; ?>" />
		</div>
  	<div class='col-sm-6 col-12 col-lg-4' data-help-text='<?php echo htmlentities('Afficher un menu déroullant ou les catégories dans le menu du haut. Si vous n’avez pas beaucoup de catégories, vous pouvez les montrer côte à côte<br />et si vous les cachez, vous pouvez toujours les lier en utilisant les liens situés à côté de chaque catégorie de la<a href="?categories">Sélection des Catégories</a>'); ?>'>
			<small>Catégories de Navigation</small>
			<select name='categories_in_navbar' class='form-control'><?php echo str_replace("value='" . $zConfig->categories_in_navbar . "'>","value='" . $zConfig->categories_in_navbar . "' selected='selected'>",$categoryNavbarOptions); ?></select>
		</div>
		<div class='col-12' data-help-text='<?php echo htmlentities('Quand vous faites une recherche sur Google, vous voyez le titre en bleu, la description en noir et le lien en vers. La méta description en noir qui sera affiché pour votre zoaboutique sur Google et pour le code html'); ?>' data-placement='left'>
			<small>Description de la boutique <em class='text-secondary'>pour les moteurs de recherche</em></small>
			<textarea name="meta_description" class="form-control" placeholder="sera utilisé comme description de site par défaut (meta-tag)" rows="3"><?php echo $zConfig->meta_description; ?></textarea>
		</div>
		<div class='col-12' data-help-text='<?php echo htmlentities('mots-clés méta par défaut pour la tête html'); ?>' data-placement='left'>
			<small>Mots-clés de votre zoaBoutique <em class='text-secondary'>ciblés, séparé par des virgules <code>,</code></em></small>
			<textarea name="meta_keywords" class="form-control" placeholder="Les mots-clés seront utilisés par les moteurs de recherche comme Google pour positionner votre site dans les moteurs de recherche quand une personne fait une recherche pour un terme spécifique. Essayez de répéter vos mots-clés dans le titre, la description et les mots-clés pour obtenir un meilleur positionnement. (meta-tag)" rows="2"><?php echo $zConfig->meta_keywords; ?></textarea>
		</div>
	</div>
	<div class='row'>
		<div class='col-12'>
			<button type='submit' class='btn btn-zstore btn-primary' disabled='disabled'><i class='fa fa-save'></i> Sauvegarder</button>
			<span class='text-success success-box js-hide'><i class='fa fa-check'></i>Sauvegardé!</span>
		</div>
	</div>
</form>


<hr />
<h3 class='mb-20'><i class='fa fa-amazon'></i> Paramètres de l'API Amazon <button type='button' class='btn btn-outline-secondary js-help btn-sm' data-helpsection='amazonconfig'><i class='fa fa-question-circle'></i></button></h3>


<form method='post' action='<?php echo $adminScript; ?>' id='FamzConfig' class='helpsection-amazonconfig'>
	<div class='alert F-alert js-hide'></div>
	<input type='hidden' name='settings' />
	<input type='hidden' name='action' value='updateAmzConfig' />
  <div class="form-group row">
  	<div class='col-sm-6 col-12 col-lg-4' data-help-text='<?php echo htmlentities('Le marché Amazon approprié, où vous êtes affilié, fort probablement .fr'); ?>' data-placement='top'>
			<small>Le Marché Amazon</small>
			<select name='amz_marketplace' class='form-control'><?php echo str_replace(">" . $zConfig->amz_marketplace . "<"," selected='selected'>" . $zConfig->amz_marketplace . "<",$marketplaceOptions); ?></select>
		</div>
		<div class='col-sm-6 col-12 col-lg-4' data-help-text='<?php echo htmlentities('Les informations sur la façon dobtenir ces informations peuvent être trouvées dans la <a href="?manual&sub2=amazon">section manuel</a>, mais ce tag est affiché dans le haut à droite de votre compte partenaire amazon.'); ?>' data-placement='top'>
			<small>Tag Associé</small>
			<input type="text" name="amz_tag" class="form-control" placeholder="Par exemple zoa0e-21" required='required' value="<?php echo $zConfig->amz_tag; ?>" />
		</div>
		<div class='col-sm-6 col-12 col-lg-4' data-help-text='<?php echo htmlentities('Les informations sur la façon dobtenir ces informations peuvent être trouvées dans la <a href="?manual&sub2=amazon">section manuel</a>, mais ce tag est affiché dans le haut à droite de votre compte partenaire amazon.'); ?>' data-placement='top'>
			<small>Clé D'accès ID</small>
			<input type="text" name="amz_access_key" class="form-control" placeholder="du programme partenaire amazon" required='required' value="<?php echo $zConfig->amz_access_key; ?>" />
		</div>
		<div class='col-sm-6 col-12 col-lg-4' data-help-text='<?php echo htmlentities('Les informations sur la façon dobtenir ces informations peuvent être trouvées dans la <a href="?manual&sub2=amazon">section manuel</a>, mais ce tag est affiché dans le haut à droite de votre compte partenaire amazon.'); ?>' data-placement='bottom'>
			<small>Clé D'accès Secrète</small>
			<input type="text" name="amz_secret_key" class="form-control" placeholder="du programme partenaire amazon" required='required' value="<?php echo str_repeat("&#9679;",20); ?>" />
		</div>
		<div class='col-sm-6 col-12 col-lg-4' data-help-text='<?php echo htmlentities('Après avoir inscrit les informations de votre compte Amazon API dans le champ de clé secrète, vous êtes maintenant en mesure de tester la connexion à Amazon via API et via les serveurs Amazon'); ?>' data-placement='bottom'>
			<small>&nbsp;</small>
			<button type='button' class='d-block btn btn-zstore btn-primary js-btn-check-api-key' disabled='disabled'><i class='fa fa-exchange'></i> Vérifier mon API</button>
		</div>

	</div>
	<div class='row'>
		<div class='col-12'>
			<button type='submit' class='btn btn-zstore btn-primary' disabled='disabled'><i class='fa fa-save'></i> Sauvegarder</button>
			<span class='text-success success-box js-hide'><i class='fa fa-check'></i>Sauvegardé!</span>
		</div>
	</div>
</form>


<hr />
<h3 class='mb-20'><i class='fa fa-search'></i> Paramètres supplémentaires de recherche de produit <button type='button' class='btn btn-outline-secondary js-help btn-sm' data-helpsection='productsearch'><i class='fa fa-question-circle'></i></button></h3>

<form method='post' action='<?php echo $adminScript; ?>' id='FsrchConfig' class='helpsection-productsearch'>
	<div class='alert F-alert js-hide'></div>
	<input type='hidden' name='settings' />
	<input type='hidden' name='action' value='updateSrchConfig' />
  <div class='form-group row'>
		<div class='col' data-help-text='<?php echo htmlentities('généralement, la recherche ne cherchera que dans la base de données locale, mais vous pouvez également étendre la recherche aux éléments'); ?>' data-placement='top'>
			<div class='custom-control custom-checkbox'>
			  <input type='checkbox' name='show_amz_search_results' value='1' id='cb_show_amz_search_results' class='custom-control-input' <?php echo $zConfig->show_amz_search_results ? "checked='checked'" : ""; ?>>
			  <label class='custom-control-label' for='cb_show_amz_search_results'>Afficher également les résultats de recherche Amazon lors de la recherche de produit</label>
			  <strong class='js-amz-link-state small alert alert-info p-1 <?php echo !$zConfig->show_amz_search_results ? "js-hide" : ""; ?>' data-descr-on='Redirection vers Amazon' data-descr-off='Redirection interne'></strong>
			</div>
		</div>
	</div>
  <div class='form-group row form-group-amazon-search-results'>
		<div class='col-12 <?php echo !$zConfig->show_amz_search_results ? "js-hide" : ""; ?>' data-help-text='<?php echo htmlentities('Si vous sélectionnez <b>Rester sur vos pages</b> lélément des résultats de la recherche sera automatiquement ajouté à la base de données locale et fera immédiatement partie de votre boutique, sinon les liens mènent directement à la page de larticle amazon'); ?>' data-placement='right'>
			<div class='custom-control custom-radio custom-control-inline'>
			  <input type='radio' name='link_amz_search_results_to_amz' value='1' id='cb_link_amz_search_results_to_amz_on' class='custom-control-input' <?php echo $zConfig->link_amz_search_results_to_amz ? "checked='checked'" : ""; ?> />
			  <label class='custom-control-label' for='cb_link_amz_search_results_to_amz_on'>Redirection vers Amazon</label>
			</div>
			<div class='custom-control custom-radio custom-control-inline'>
			  <input type='radio' name='link_amz_search_results_to_amz' value='0' id='cb_link_amz_search_results_to_amz_off' class='custom-control-input' <?php echo !$zConfig->link_amz_search_results_to_amz ? "checked='checked'" : ""; ?> />
			  <label class='custom-control-label' for='cb_link_amz_search_results_to_amz_off'>Afficher sur vos pages</label>
			</div>
		</div>
		<div class='col-12' data-help-text='<?php echo htmlentities('amazon affiche 10 résultats. Si vous souhaitez créer un lien vers tous les résultats de amazon, vous pouvez le faire directement sur la page des offres amazon.'); ?>' data-placement='left'>
			<div class='custom-control custom-checkbox'>
			  <input type='checkbox' name='link_to_more_results_on_amz' value='1' id='cb_link_to_more_results_on_amz' class='custom-control-input' <?php echo $zConfig->link_to_more_results_on_amz ? "checked='checked'" : ""; ?>>
			  <label class='custom-control-label' for='cb_link_to_more_results_on_amz'>Afficher le lien vers des résultats supplémentaires sur le site Amazon</label>
			</div>
		</div>
	</div>
	<div class='row'>
		<div class='col-12'>
			<button type='submit' class='btn btn-zstore btn-primary' disabled='disabled'><i class='fa fa-save'></i> Sauvegarder</button>
			<span class='text-success success-box js-hide'><i class='fa fa-check'></i>Sauvegardé!</span>
		</div>
	</div>
</form>

<hr />
<h3 class='mb-0'><i class='fa fa-amazon'></i> Suggestions des Produits Amazon <button type='button' class='btn btn-outline-secondary js-help btn-sm' data-helpsection='amazonsuggestions'><i class='fa fa-question-circle'></i></button></h3>
<p class='mb-20'>Sur vos pages d'articles par défaut, lors de l'ajout de <strong>nouveaux produits</strong><br />
	<span class='small'>Pour les éléments existants, vous pouvez définir ces options<br />
	<i class='fa fa-angle-right fa-fw'></i>pour les produits individuels dans les pages de chaque produit <span class='text-secondary'>ou</span><br />
	<i class='fa fa-angle-right fa-fw'></i>pour plusieurs produits dans <em>Produits/Artiles &rarr; Opération Multi-Produits</em></span>
</p>	


<form method='post' action='<?php echo $adminScript; ?>' id='FamzSuggestions' class='helpsection-amazonsuggestions'>
	<div class='alert F-alert js-hide'></div>
	<input type='hidden' name='settings' />
	<input type='hidden' name='action' value='updateAmzSuggestions' />
  <div class='form-group row'>
		<div class='col' data-help-text='<?php echo htmlentities('Activez la case à cocher lorsque vous souhaitez afficher les éléments suggérés par amazon lors de la consultation des pages de produits par défaut<br />si désactivé, aucun élément ne sera affiché par défaut pour les nouveaux éléments'); ?>' data-placement='top'>
			<div class='custom-control custom-checkbox'>
			  <input type='checkbox' name='default_products_show_amz_suggestions' value='1' id='cb_default_products_show_amz_suggestions' class='custom-control-input' <?php echo $zConfig->default_products_show_amz_suggestions ? "checked='checked'" : ""; ?>>
			  <label class='custom-control-label' for='cb_default_products_show_amz_suggestions'>Afficher les éléments suggérés par Amazon par défaut</label>
			  <strong class='js-amz-show-suggestions-state small alert alert-info p-1' data-descr-on='Suggestions amazon sont montrés' data-descr-off='Suggestions amazon ne sont pas montrés'></strong>
			</div>
		</div>
	</div>
  <div class='form-group row'>
		<div class='col' data-help-text='<?php echo htmlentities('les articles suggérés peuvent être liés à ses pages sur amazon directement avec vos balises associées, ou liés à larticle dans votre magasin<br />activez la case à cocher si vous souhaitez créer un lien vers amazon par défaut pour les nouveaux éléments'); ?>' data-placement='left'>
			<div class='custom-control custom-checkbox'>
			  <input type='checkbox' name='default_products_link_amz_suggestions_to_amz' value='1' id='cb_default_products_link_amz_suggestions_to_amz' class='custom-control-input' <?php echo $zConfig->default_products_link_amz_suggestions_to_amz ? "checked='checked'" : ""; ?>>
			  <label class='custom-control-label' for='cb_default_products_link_amz_suggestions_to_amz'>Hyperlien des éléments suggérés par Amazon par défaut directement vers Amazon</label>
			  <strong class='js-amz-link-suggestions-state small alert alert-info p-1' data-descr-on='Les suggestions Amazon mènent à Amazon' data-descr-off='Les suggestions Amazon reste dans votre boutique'></strong>
			</div>
		</div>
	</div>
	<div class='row'>
		<div class='col-12'>
			<button type='submit' class='btn btn-zstore btn-primary' disabled='disabled'><i class='fa fa-save'></i> Sauvegarder</button>
			<span class='text-success success-box js-hide'><i class='fa fa-check'></i>Sauvegardé!</span>
		</div>
	</div>
</form>
<div class='clearfix'></div>

