<?php

	
	$directories = array("./","./classes/");
	foreach(glob("./layouts/*/") as $layoutDir) {
		array_push($directories, $layoutDir, $layoutDir . "pages/");
	}

	$lastFilename = null;

	echo "<div class='card'>";

	echo "<div class='card-header'><h3 class='m-0'>Occurrences de remplacements dans ces fichiers</h3></div>";

	foreach ($directories as $path_to_check) {
		foreach(glob($path_to_check . '*.php') as $filename) {
		  foreach(file($filename) as $fli=>$fl) {
		    if (preg_match('/lang\([\'"][^\)]+,/',$fl)) {
					if ($filename != $lastFilename) {
						echo "<div class='card-header border-top'>$filename</div>";
		  			$lastFilename = $filename;
					}
					echo "<div class='card-body pt-2 pb-2'>on line " . ($fli+1) . "<pre>" . $zstore->highlightText($fl) . "</pre></div>";
		    }
		  }
		}
	}

	if (!$lastFilename) {
		echo "<div class='card-body alert-warning'>Aucun remplacement de langue n'a été trouvé</div>";
	}

	echo "</div>";


?>

