<?php

	$langItems = $zstore->getLanguageEntriesNum($manlang);


	//check for non existing keys, if it's not english
	if ($manlang != "en") {
		$missingKeys = $zstore->getMissingLanguageKeys($manlang);
		if ($missingKeys) {
			echo "<div class='row'><div class='col-12' style='z-index:1041'>";
			echo "<h5>Clé de langue nouvelle / manquante dans cette langue <button type='button' class='btn btn-outline-secondary js-help btn-sm' data-helpsection='missinglangkeys'><i class='fa fa-question-circle'></i></button></h5>
				<div class='helpsection-missinglangkeys'>
				<div class='pb-3 js-missing-language-keys' data-help-text='" . htmlentities('vous trouverez ici toutes les clés qui ont été définies dans la langue principale (en) et ne sont pas définies dans la langue actuelle<br />en cliquant sur le bouton des clés, vous pouvez ajouter la clé à la langue actuelle avec un champ de contenu modifiable prérempli.') . "' >";
			foreach ($missingKeys as $row) {
				echo "<button type='button' class='btn btn-sm btn-default btn-dark js-btn-copy-lang-key' data-lang-id='" . $row->id . "'>"  . $row->short_key . "</button>\n";
			}
			echo "</div>"; //js-missing-language-keys
			echo "</div>"; //help section
			echo "</div></div>"; //col, row
		}
	}

	echo "<button type='button' class='btn btn-sm btn-default btn-primary js-btn-add-lang-key pull-right'><i class='fa fa-plus-circle'></i> Ajouter le Language</button>\n";
	echo "<div class='clearfix'></div><br />";



	echo "<div class='row'>";

	echo "<table class='table table-bordered table-sm table-striped' id='langTable' data-lang-key='$manlang'>
		<thead><tr>
			<th class='w50 text-right'>#</th>
			<th class='w200'>Petite clé</th>
			<th>Content</th>
			<th class='text-right w100'>Outils</th>
		</tr></thead>
		<tbody>";
	echo "</tbody></table>";


	echo "</div>";


	// echo "<pre>" . print_r($langItems,true) . "</pre>";



	$useDataTables = true;

?>

