<?php

	$itemId = intval($_REQUEST["itemId"]);

	if (!$itemId) {
		echo "<div class='alert alert-danger'>Pas assez d'infos.</div>";
	} else {
		$productData = $zstore->getProductData(null,$itemId,"small");
	}

	if (!$productData) {
		echo "<div class='alert alert-danger'>Cet item ne peut être trouvé.</div>";
	} elseif (!$productData->imported) {
		echo "<div class='alert alert-info'>Cet item n'a pas encore été importé.</div>";
	} else {


		$todo = isset($_REQUEST["todo"]) ? $_REQUEST["todo"] : "productData";

		echo '<ul class="nav nav-tabs mb-20 small flex-row">
		  <li class="nav-item"><a class="nav-link ' . ($todo == "productData" ? "active" : "") . '" href="' . $adminScript . '?' . $thisSubPage . '&amp;admItem&amp;itemId=' . $itemId . '"><i class="fa fa-cube"></i> Infos du Produit</a></li>
		  <li class="nav-item"><a class="nav-link ' . ($todo == "productReviews" ? "active" : "") . '" href="' . $adminScript . '?' . $thisSubPage . '&amp;admItem&amp;itemId=' . $itemId . '&amp;todo=productReviews"><i class="fa fa-book"></i> Revues/Détails du Produit</a></li>
		  <!--li class="nav-item"><a class="nav-link ' . ($todo == "productImages" ? "active" : "") . '" href="' . $adminScript . '?' . $thisSubPage . '&amp;admItem&amp;itemId=' . $itemId . '&amp;todo=productImages"><i class="fa fa-picture-o"></i> Images du Produit</a></li-->
		  <li class="nav-item ml-auto"><a class="nav-link open-external" href="' . $zstore->placeholdersToAmzKeys($productData->item_url) . '"><i class="fa fa-amazon"></i> sur Amazon</a></li>
		  <li class="nav-item"><a class="nav-link open-external" href="' . $productData->url . '"><i class="fa fa-search"></i> Visualiser</a></li>
		</ul>';

		echo "<div class='card mb-2'>
			<div class='card-body'>";
		echo "<img src='" . $zstore->getImgSizeUrl($productData->image_url,"xs") . "' class='float-left mr-3 img-thumbnail' alt='' />";
		echo "<h4>" . $productData->title . "</h4>";
		echo "</div>
			</div>";

		switch ($todo) {
			case 'productReviews':
				include("products-admItem-productReviews.php");
				break;
			case 'productData':
			default:
				include("products-admItem-productData.php");
				break;
		}


} //productData exists and valid

?>