<?php

$cat_ids = array();
if (isset($_REQUEST["cat_ids"]) && is_array($_REQUEST["cat_ids"])) {
	$cat_ids = $_REQUEST["cat_ids"];
}
$qsrcs = array();
if (isset($_REQUEST["qsrcs"]) && is_array($_REQUEST["qsrcs"])) {
	$qsrcs = $_REQUEST["qsrcs"];
}

if ($action == "importASINList") {
	$zstore->importASINList($_REQUEST["ASINList"],$cat_ids);
}

// $category_options = "<option value='0'>-- without any category --</option>\n";
$category_options = null;
foreach ($mainCategories as $row) {
	$category_options .= "<option value='" . $row->id ."' " . (in_array($row->id, $cat_ids) ? "selected='selected'" : "") . ">" . $row->descr . "</option>\n";
	$category_descr[$row->id] = $allCategoriesData[$row->id]->descr;
	if ($subCategories[$row->id]) {
		foreach ($subCategories[$row->id] as $subCat) {
			$category_options .= "<option value='" . $subCat->id ."' " . (in_array($subCat->id, $cat_ids) ? "selected='selected'" : "") . ">&rdsh; " . $subCat->descr . "</option>\n";
			$category_descr[$subCat->id] = $allCategoriesData[$subCat->id]->descr;
		}
	}
}

$sources = $zstore->getItemSources();
foreach ($sources as $row) {
	$source_options .= "<option value='" . $row->source . "' " . (in_array($row->source, $qsrcs) ? "selected='selected'" : "") . ">" . $zstore->source_descrs[$row->source] . "</option>\n";
}


if (isset($zstore->error) && $zstore->error) {
	echo "<div class='alert alert-danger'>" . $zstore->error . "</div>";
}
if (isset($zstore->success) && $zstore->success) {
	echo "<div class='alert alert-success'>" . $zstore->success . "</div>";
}

?>

	<form method="post" action="<?php echo $adminScript; ?>" id="multiOpsF">

		<div class='alert alert-info float-right text-center'><big class='font-weight-bold js-items-selected' data-cat='0' data-src='0'>no</big><br>items sélectionnés</div>
<?php
	if ($mainCategories) {
?>
		<div class="form-group row">
	    <label class="col-sm-4 col-md-3 col-form-label">Catégorie de Produit</label>
	    <div class="col-sm-8">
				<select class="mt-neg-7 form-control form-control-multiselect-category" name="cat_ids[]" multiple='multiple'>
					<?php echo $category_options; ?>
					<option value='all'>tous les articles (avec ou sans catégories)</option>
					<option value='0'>non catégorisé</option>
				</select>
			</div>
		</div>
<?php
	}
	if ($sources) {
?>
		<div class="form-group row">
	    <label class="col-sm-4 col-md-3 col-form-label"><?php echo ($mainCategories && $sources ? "<strong>ou</strong> " : ""); ?>Sources</label>
	    <div class="col-sm-8">
				<select class="mt-neg-7 form-control form-control-multiselect-source" name="qsrcs[]" multiple='multiple'>
					<?php echo $source_options; ?>
				</select>
			</div>
		</div>
<?php
	}
?>


	<h5>Suggestions d'items Amazon sur les pages de produits</h5>
	<div class='row'>
		<div class='col text-center'>
			<button type='button' class='btn btn-outline-primary btn-set-show_amz_suggestions' data-value='1'>Activer les suggestions Amazon<br /><small>pour les items sélectionnés</small></button>
		</div>
		<div class='col text-center'>
			<button type='button' class='btn btn-outline-primary btn-set-show_amz_suggestions' data-value='0'>désactiver les suggestions Amazon<br /><small>pour les items sélectionnés</small></button>
		</div>
	</div>
	<hr />

	<h5>Hyperliens sur les suggestions d'items Amazon sur les pages de produit</h5>
	<div class='row'>
		<div class='col text-center'>
			<button type='button' class='btn btn-outline-primary btn-set-link_amz_suggestions_to_amz' data-value='1'>Lier des suggestions à Amazon<br /><small>pour les items sélectionnés</small></button>
		</div>
		<div class='col text-center'>
			<button type='button' class='btn btn-outline-primary btn-set-link_amz_suggestions_to_amz' data-value='0'>Intégrer les suggestions dans la boutique<br /><small>pour les items sélectionnés</small></button>
		</div>
	</div>
	<hr />

	<h5>Supprimer des items de la catégorie sélectionnée / avec la source sélectionnée</h5>
	<div class='row'>
		<div class='col text-center'>
			<button type='button' class='btn btn-outline-danger btn-remove-selected-items text-left'><i class='fa fa-3x fa-trash fa-pull-left'></i><big>Supprimer<br />Items</big></button>
		</div>
	</div>
	<hr />

</form>

<div class='hidden-content js-hide'>
	<div class='catItemCounts'>
		<?php
			$alltemsCount = $noCatItemCount;
			echo "<input name='cat-0' value='$noCatItemCount'>";
			foreach ($allCategoriesData as $row) {
				echo "<input name='cat-" . $row->id . "' value='" . $row->itemsCount . "'>";
				$alltemsCount += $row->itemsCount;
			}
			echo "<input name='cat-all' value='$alltemsCount'>";
		?>
	</div>
	<div class='sourceItemCounts'>
		<?php
			$i = 0;
			foreach ($sources as $row) {
				echo "<input name='source-" . $row->source . "' value='" . $row->cnt . "'>";
			}
		?>
	</div>
</div>
