<?php 

list($mainCategories,$subCategories,$allCategoriesData,$noCatItemCount) = $zstore->getCategories();


$headline = $intro = null;


$admItem = isset($_REQUEST["admItem"]) ? true : false;


switch ($sub2) {
	case "addASINs":
		$headline = "<i class='fa fa-amazon'></i> Importer les Items via ASIN";
		$intro = "Un ASIN par ligne (<em>Amazon Standard Identification Number</em>)<br />
			Ce sont les numéros de catalogue internes d'Amazon. Vous les trouverez dans la description du produit et dans l'URL (adresse dans le navigateur) <code>http://amazon.de/dp/xxxxxxxxxx</code>, donc xxxxxxxxxx serait le ASIN";
	break;
	case "addASIN":
		$headline = "<i class='fa fa-amazon'></i> Import Rapide des Items via ASIN";
		$intro = "Ajouter un ASIN (<em>Amazon Standard Identification Number</em>) et il sera importé tout de suite<br />
			Ce sont les numéros de catalogue internes d'Amazon. Vous les trouverez dans la description du produit et dans l'URL (adresse dans le navigateur) <code>http://amazon.de/dp/xxxxxxxxxx</code>, donc xxxxxxxxxx serait le ASIN<br />
			En activant la case à cocher, vous serez automatiquement redirigé vers le formulaire de modification une fois l'importation terminée.";
	break;
	case "addTitle":
		$headline = "<i class='fa fa-search'></i> Recherche par Titre";
		$intro = "<p>La recherche sera traitée sur les serveurs Amazon en fonction de la place que vous avez définie dans le marché <i class='fa fa-fw fa-z'></i>Config. Chaque élément des résultats peut être ajouté à votre système en un seul clic.<br />
			Plus votre recherche est précise, plus vous serez satisfait du résultat :). Les premiers résultats seront affichés ici, pour plus de résultats, vous devez suivre le lien menant directement à Amazon où vous devez prendre les ASIN.</p>";
	break;
	case "parseHTML":
		$headline = "<i class='fa fa-code'></i> Percer le code HTML et récupérer les ASIN";
		$intro = "<p>Publier du code HTML et le système essaie de trouver les ASIN.<br />
			Le meilleur moyen serait d'utiliser des extensions de navigateur au lieu de visualiser la source et de rechercher des parties de code.. <br />Extensions Suggérés:<br />
				<i class='fa fa-google fa-fw'></i> <a href='https://chrome.google.com/webstore/detail/copycat/khbjeknhjcdbijopmdbnjpncellpbjhf' class='open-external'><em>CopyCat</em> pour Google Chrome <i class='fa fa-external-link'></i></a> <small class='text-secondary'>choisir <em>\"Selection to Markdown\"</em></small><br />
				<i class='fa fa-firefox fa-fw'></i> <a href='https://addons.mozilla.org/de/firefox/addon/copy-html-text-we/' class='open-external'><em>Copy HTML Text WE</em> pour Mozilla Firefox <i class='fa fa-external-link'></i></a>
			</p>";
	break;
	case "grabNow":
		$headline = "<i class='fa fa-bolt'></i> Saisir des données d'Amazon";
		$intro = "<p>Idéalement, vous devriez configurer des tâches cron pour récupérer les données d'Amazon..<br />Ici, vous avez la possibilité de récupérer des données maintenant pour plusieurs articles.</p>";
	break;
	case "multiOps":
		$headline = "<i class='fa fa-exchange'></i> Opérations Multi-Produits";
		$intro = "<p>Possibilité d'effectuer des opérations sur plusieurs éléments en une seule étape.<br />Actuellement utilisé uniquement pour définir les produits' et le comportement de suggestion amazon.</p>";
	break;
	default:
		$headline = "<i class='fa fa-cubes'></i> Produits/Items";
		$intro = "<p>Ce sont les éléments Amazon qui sont ajoutés à votre projet Web. Vous pouvez les (re/dé)assigner de/à vos propres catégories, les supprimer et même modifier la plupart de leurs informations.</p>";
	break;
}


echo "<h2>$headline</h2>";


?>

<?php
echo "<p>$intro</p>";
	
	switch ($sub2) {
		case 'addASINs':
			include ("products-addASINs.php");
			break;
		case 'addASIN':
			include ("products-addASIN.php");
			break;
		case 'addTitle':
			include ("products-addTitle.php");
			break;		
		case 'parseHTML':
			include ("products-parseHTML.php");
			break;		
		case 'grabNow':
			include ("products-grabNow.php");
			break;
		case 'multiOps':
			include ("products-multiOps.php");
			break;
		case 'showItems':
			if ($admItem) {
				include ("products-admItem.php");
			} else {
				include ("products-showItems.php");
			}
			break;
		default:
			include ("products-showItems.php");
			break;
	}

?>

<div class='clearfix'></div>

