<?php
include("classes/zstore.class.php");
$zstore = new zstore();



$lang_key = $_REQUEST["lang_key"];
$orderBy = "short_key";


if (isset($_REQUEST["order"]) && $_REQUEST["order"]) {
	switch ($_REQUEST["order"][0]["column"]) {
		case 0:
			$orderBy = "id " . $_REQUEST["order"][0]["dir"];
			break;
		case 1:
			$orderBy = "lower(short_key) " . $_REQUEST["order"][0]["dir"];
			break;
		case 2:
			$orderBy = "lower(descr) " . $_REQUEST["order"][0]["dir"];
			break;
	}
}

if (isset($_REQUEST["search"]) && $_REQUEST["search"]["value"]) {
	$search = trim(strtolower($_REQUEST["search"]["value"]));
}

list($langItems,$recordsTotal,$recordsFiltered) = $zstore->getLanguageEntries($lang_key,$orderBy,$search,intval($_REQUEST["start"]),intval($_REQUEST["length"]));

$data = array();



foreach ($langItems as $row) {
	$ele = new stdClass();

	$ele->id = $row->id;
	$ele->short_key	= $row->short_key;
	$ele->descr = $row->descr;
	$ele->foo = "bar";
	$data[] = $ele;
}

echo json_encode(array( 
	"draw" => $_REQUEST["$draw"],
	"recordsTotal" => $recordsTotal,
	"recordsFiltered" => $recordsFiltered,
	"data" => $data ));


exit;
?>

		echo "<tr data-lang-id='" . $row->id . "'>
			<td class='text-right pt-2'>" . $row->id . "</td>
			<td data-order='" . strtolower($row->short_key) . "'><input type='text' class='form-control-sm form-control-plaintext' value='" . $row->short_key . "' readonly='readonly' name='short_key' /></td>
			<td data-order='" . strtolower(strip_tags($row->descr)) . "'><textarea class='form-control-sm form-control-plaintext' readonly='readonly' name='descr'>" . $row->descr . "</textarea></td>
			<td class='text-right align-bottom'>
				<div class='btn-group btn-group-sm js-btn-group-tools'>
					<button type='button' class='btn btn-outline-primary js-btn-edit-langitem'><i class='fa fa-pencil fa-fw'></i></button> 
					<button type='button' class='btn btn-danger js-btn-remove-langitem'><i class='fa fa-times fa-fw'></i></button>
				</div>
				<div class='btn-group btn-group-sm js-btn-group-form'>
					<button type='button' class='btn btn-outline-primary js-btn-save-langitem'><i class='fa fa-save fa-fw'></i></button> 
					<button type='button' class='btn btn-outline-dark js-btn-close-edit-form'><i class='fa fa-times fa-fw'></i></button>
				</div>
			</td>
		</tr>";
