<?php

//get all Products and Categories
$productsMapData = $zstore->getProductsMapData();

//set page data
// $zstore->setSite(
// 	array("title" => $catData->page_title ?: $catData->descr,
// 			 	"description" => $catData->page_descr,
// 			 	)
// );

$currentPage = "prodmap";

include("header.php");

//asins in favorites - $favAsins set in header.php
$productData->inFavorites = in_array($asin,$favAsins);

?>

		  	<div class='container'>
			  	<div class='row'>
			  		<div class='col-12'>
						  <ol class="zstore-breadcrumb d-flex flex-nowrap">
						    <li class="breadcrumb-item"><a href="<?php echo $zstore->instDir; ?>/">Home</a></li>
						    	<li class="active text-truncate"><?php echo $zstore->lang("hl-products-map"); ?></li>
						  </ol>
			  		</div>
			  	</div>
			  </div>


<section class='section'>
	<div class='container'>

	<?php
		if ($productsMapData) {
			echo "<div class='row grid-prodMap'>";

			foreach ($productsMapData as $prodDataEntry) {
				echo "<div class='col-lg-4 grid-prodMap-item'>";

				echo "<div class='card mb-3 '>
					<div class='card-body p-3'>
				    <h5 class='card-title'>";
				if ($prodDataEntry["catUrl"]) {
					echo "<a href='" . $prodDataEntry["catUrl"] . "'class='text-dark'>" . $prodDataEntry["catDescr"] . "</a>";
				} else {
					echo $prodDataEntry["catDescr"];
				}
				echo "</h5>";
				if ($prodDataEntry["catIntro"]) {
					echo "<h6 class='card-subtitle mb-2 text-muted'>" . $prodDataEntry["catIntro"] . "</h6>";
				}
				echo "<ul class='list-prodMap'>";
				foreach ($prodDataEntry["products"] as $item) {
					if (!$item->titleDB) {
						continue;
					}
					echo "<li><a href='" . $item->url . "'>" . $item->titleDB . "</a></li>";
				}
				echo "</ul>
					</div></div>";

				echo "</div>"; //col
			}

			echo "</div>";

		}
	?>




<?php include("footer.php"); ?>