<?php

//get all Products and Categories
$productsMapData = $zstore->getProductsMapData();

//set page data
// $zstore->setSite(
// 	array("title" => $catData->page_title ?: $catData->descr,
// 			 	"description" => $catData->page_descr,
// 			 	)
// );

$currentPage = "prodmap";

include("header.php");

//asins in favorites - $favAsins set in header.php
$productData->inFavorites = in_array($asin,$favAsins);

?>

<div class="card card-top-line">
  <div class="card-header">
  	<div class='container'>
	  	<div class='row'>
	  		<div class='col-12'>
				  <ol class="breadcrumb zstore-breadcrumb">
				    <li class="breadcrumb-item"><a href="<?php echo $zstore->instDir; ?>/">Home</a></li>
				    <li class="breadcrumb-item active"><?php echo $zstore->lang("hl-products-map"); ?></li>
				  </ol>
	  		</div>
	  	</div>
	  </div>
  </div>
 </div>

<section class='section mt-20'>
	<div class='container'>
		<div class='row'>
			<?php
				if ($productsMapData) {

					foreach ($productsMapData as $prodDataEntry) {
						echo "<div class='col-12 mt-2 mb-2 border-bottom border-light'>";
						echo "<h5>";
						if ($prodDataEntry["catUrl"]) {
							echo "<a href='" . $prodDataEntry["catUrl"] . "'class='text-dark'>" . $prodDataEntry["catDescr"] . "</a>";
						} else {
							echo $prodDataEntry["catDescr"];
						}
						echo "</h5>";
						if ($prodDataEntry["catIntro"]) {
							echo "<h6 class='card-subtitle mb-2 text-muted'>" . $prodDataEntry["catIntro"] . "</h6>";
						}
						echo "<ul class='list-inline list-inline-seperators list-inline-wrap'>";
						foreach ($prodDataEntry["products"] as $item) {
							if (!$item->titleDB) {
								continue;
							}
							echo "<li  class='list-inline-item'><a href='" . $item->url . "'>" . $item->titleDB . "</a></li>";
						}
						echo "</ul>";
						echo "</div>";	//col
					}

				}
			?>
		</div>
	</div>
</section>




<?php include("footer.php"); ?>