<?php 
header("Content-Type: text/html; charset=utf-8" );
include("classes/zstore.class.php");
$zstore = new zstore();

// REMOVE!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$zstore->xmlCacheDir = "/home/mac/www/zstore.envato.homac.at/htdocs/de/_xmlCache/";


$itemsPerCall = 25;
$secondsInBetween = 2.5;

$action = isset($_REQUEST["action"]) ? $_REQUEST["action"] : null;
$todo = isset($_REQUEST["todo"]) ? $_REQUEST["todo"] : null;

$pageTitle = "zStore Item Variation Updater";

include("admin/header.php");

$numberOfPossibleParents = $numberOfFiles = $numberOfParents = 0;

$successMess = null;

if ($action == "checkFiles") {


  $sql = "select id, asin from `" . $zstore->tablePrefix . "products` where imported is not null and title != '' and parent_asin is null";
  $res = $zstore->dbquery($sql);
  $numberOfPossibleParents = mysqli_num_rows($res);
  while ($row = mysqli_fetch_object($res)) {
    if (file_exists($zstore->xmlCacheDir . $zstore->config->amz_marketplace . "/" . $row->asin . ".xml")) {
      $xmlData = simplexml_load_file($zstore->xmlCacheDir . $zstore->config->amz_marketplace . "/" . $row->asin . ".xml");

      $sql = "update `" . $zstore->tablePrefix . "products` set parent_asin = " . $zstore->dbquote(trim($xmlData->Items->Item->ParentASIN)) . " where id = '" . $row->id . "'";
      $zstore->dbquery($sql);



			// echo "ASIN: " . $xmlData->Items->Item->ASIN . "<br />";
   //    echo "ParentASIN: " . $xmlData->Items->Item->ParentASIN . "<hr />";
    }
  }
}

	$parentAsins = array();
	$importInfo = null;
if ($action == "findChildren") {

	$sql = "select asin, parent_asin from `" . $zstore->tablePrefix . "products` where 
		imported is not null and 
		title != '' and 
		parent_asin is not null and parent_asin != '' and 
		parent_asin != asin and 
		parent_asin not in (select parent_asin from `" . $zstore->tablePrefix . "variations` group by parent_asin) and
		dev_flag = 0
		order by created
		limit $itemsPerCall";
	$res = $zstore->dbquery($sql);
	while ($row = mysqli_fetch_object($res)) {

		$importInfo .= $row->parent_asin . " CHECK<br />";

		// continue;

		//parent already imported?
		$sql = "select id from `" . $zstore->tablePrefix . "products` where asin = " . $zstore->dbquote($row->parent_asin);
		$resX = $zstore->dbquery($sql);
		if (!mysqli_fetch_object($resX) && $zstore->importASINlist($row->parent_asin,false,"variation_parent")) {
			$zstore->amzFirstItemUpdate($itemData->parent_asin);
			// $importInfo .= $row->parent_asin . " new import<br />";
			$parentAsins[] = "<a href='" . $zstore->instDir . "/itm/" . $row->parent_asin . "/any-title.html' class='open-external'>" . $row->parent_asin . "</a> [IMPORT]<br />";

			$importInfo .= "import " . $row->parent_asin . " data<br />";

			sleep($secondsInBetween);
		} else {

			$importInfo .= "refetch " . $row->parent_asin . " data<br />";
			

			//refetch xml and add variations data
			$itemData = $zstore->amzGetItemData($row->parent_asin,false);


			// echo ++$i. "<br />";
			// echo ++$i. "<pre>" . print_r($itemData,true) . "</pre><hr/>";

			if (!$itemData) {
				$importInfo .= $row->parent_asin . " - Data cannot be fetched from Amazon, will be retried on next attempt\n";
				if ($zstore->xmlErrorDataFileContent) {
					$importInfo .= "<strong><a href='#response" . $row->parent_asin . "'more data-toggle='collapse'>more <i class='fa fa-angle-double-down'></i></a></strong><br />";
					$importInfo .= '<div class="collapse" id="response' . $row->parent_asin . '">
					  <div class="card card-body code"><pre>' . print_r($zstore->xmlErrorDataFileContent,true) . '</pre></div>
					  </div>';
				} else {
					$importInfo .= "<br />";
				}
				//let's set dev_flag to avoid "not able to import" items
				$sql = "update `" . $zstore->tablePrefix . "products` set dev_flag = 1 where parent_asin = " . $zstore->dbquote($row->parent_asin);
				$zstore->dbquery($sql);
				
				continue;
			} else {

				// $importInfo .= $row->parent_asin . " ready to import<br />";
				//update current item
				$sql = "update `" . $zstore->tablePrefix . "products` set dev_flag = 1 where asin = " . $zstore->dbquote($row->asin);
				$zstore->dbquery($sql);
				//update parent
				$sql = "update `" . $zstore->tablePrefix . "products` set
					offers_total = '" . intval($itemData->offers_total) . "',
					variations_total = '" . intval($itemData->variations_total) . "',
					variation_dimensions = " . $zstore->dbquote($itemData->variation_dimensions) . ",
					variations_price_str_lowest = " . $zstore->dbquote($itemData->variations_price_str_lowest) . ",
					variations_price_str_highest = " . $zstore->dbquote($itemData->variations_price_str_highest) . ",
					dev_flag = 1
					where asin = " . $zstore->dbquote($row->parent_asin);
				$zstore->dbquery($sql);
				if ($itemData->variations) {
					foreach ($itemData->variations as $v_asin => $v_row) {
						$add2sql = array();
						$i = 0;
						//precheck
						$sql = "select asin from `" . $zstore->tablePrefix . "variations` where asin = " . $zstore->dbquote($v_asin) . " and parent_asin = " . $zstore->dbquote($row->parent_asin);
						$resY = $zstore->dbquery($sql);
						if (!mysqli_num_rows($resY)) {
							foreach ($v_row["variationAttributes"] as $attrData) {
								if (++$i > 10) break;
								$add2sql[] = "attr" . $i . "_name = " . $zstore->dbquote($attrData["Name"]);
								$add2sql[] = "attr" . $i . "_value = " . $zstore->dbquote($attrData["Value"]);
							}
							$sql = "insert into `" . $zstore->tablePrefix . "variations` set 
								asin = " . $zstore->dbquote($v_asin) . ",
								parent_asin = " . $zstore->dbquote($row->parent_asin) . ",
								title = " . $zstore->dbquote($v_row["title"]) . ",
								image_url = " . $zstore->dbquote($v_row["image_url"]) .
								($add2sql ? ", " . implode(", ", $add2sql) : "") . ",
								created = now()";
							$zstore->dbquery($sql);
							// echo "$sql<br />";
						}
					}
					//import asins to products
					$zstore->importASINlist(implode("\n",array_keys($itemData->variations)),false,"as_variation");
				}
				$parentAsins[] = "<a href='" . $zstore->instDir . "/itm/" . $row->parent_asin . "/any-title.html' class='open-external'>" . $row->parent_asin . "</a> [UPDATE]<br />";
			}
			sleep($secondsInBetween);
		}
	}
}



?>


    <div class="card card-top-line">
      <div class="card-header">
        <div class='container'>
          <div class='row'>
            <div class='col-12'>
              <ol class="breadcrumb zstore-breadcrumb">
                <li class="breadcrumb-item active">Update...</li>
              </ol>
            </div>
          </div>
        </div>
      </div>
     </div>

    <div class="container mt-20">
      <div class='row'>
        <div class='col'>


<h2 class='mb-3'><i class='fa fa-fw fa-z'></i>Store V1.20++ Variation Updater</h2>



<?php

// version checker
if ($zstore->config->version < 1.20) {
  $error = "To use the variation updater you have to run a minimum version of 1.20";
}

if ($error) {
  echo "<div class='alert alert-danger'>$error</div>";
}

if ($parentAsins) {
	echo "<div class='alert alert-success'>Operations successfully finished for " . implode(", ",$parentAsins) . "</div>";
}
echo $importInfo;

// if (!$error) {


	echo "<h4>1. Find Parents</h4>";


  //check number of possible actions
  $sql = "select asin from `" . $zstore->tablePrefix . "products` where imported is not null and title != '' and parent_asin is null";
  $res = $zstore->dbquery($sql);
  $numberOfPossibleParents = mysqli_num_rows($res);
  while ($row = mysqli_fetch_object($res)) {
    if (file_exists($zstore->xmlCacheDir . $zstore->config->amz_marketplace . "/" . $row->asin . ".xml")) {
      $numberOfFiles++;
    }  
  }

  echo "<div class='alert alert-info'>Number of items without registered parent items: <strong class='text-primary h4'>$numberOfPossibleParents</strong><br />
    Number of items already stored files with parent ASIN information: <strong class='text-primary h4'>$numberOfFiles</strong></div>";

  if (!$numberOfPossibleParents) {
    echo "<div class='alert alert-info'><strong>There are no items ready to search for parent items,<br />no need to use this tool to fetch parents.</strong></div>";
  } else {
    echo "<div class='text-center'>";
    if ($numberOfFiles){
      echo "<a href='?action=checkFiles' class='btn btn-primary js-btn-check-files'>Check cached files for parent item ASINs</a>";
    } else {
      echo "No cached files found to search for parent ASINs";
    }

    echo "</div>";
    
  }


	echo "<h4 class='mt-3'>2. Find Children/Variations of known Parents without stored children<br />AND add parents as new items</h4>";

	$sql = "select asin, parent_asin from `" . $zstore->tablePrefix . "products` where 
		imported is not null and 
		title != '' and 
		parent_asin is not null and parent_asin != '' and 
		parent_asin != asin and 
		parent_asin not in (select parent_asin from `" . $zstore->tablePrefix . "variations` group by parent_asin) and
		dev_flag = 0";
  $res = $zstore->dbquery($sql);
  $numberOfParents = mysqli_num_rows($res);
  if (!$numberOfParents) {
    echo "<div class='alert alert-info'>There are no parents to search for children,<br />no need to use this tool to fetch children.</div>";
  } else {
  	echo "<div class='alert alert-info'>Number of possible parents without children: <strong class='text-primary h4'>$numberOfParents</strong></div>";
    echo "<div class='text-center'>
    	<a href='?action=findChildren' class='btn btn-primary js-btn-find-children'>Retrieve variation data from amazon servers</a><br />
    	could take a while: <strong>$secondsInBetween</strong> seconds per item and <strong>$itemsPerCall</strong> items per call<br /><small>these values can be modified in source coude</small>
    	</div>";

  }
  // while ($row = mysqli_fetch_object($res)) {
  //   if (file_exists($zstore->xmlCacheDir . $zstore->config->amz_marketplace . "/" . $row->asin . ".xml")) {
  //     $numberOfFiles++;
  //   }  
  // }



// }


  echo "<h4 class='mt-3'>3. Finished?</h4>";

  echo "<div class='alert alert-warning'>If you are finished with your variation updates you should remove <code>" . $_SERVER["PHP_SELF"] . "</code> from your server.</div>";




?>

    </div>
  </div>






<?php include("admin/footer.php"); ?>
<script type="text/javascript">
jQuery(document).ready(function() {
	$(".js-btn-find-children,.js-btn-check-files").click(function() {
		bootbox.dialog({title: "Fetching data from Amazon",
	    onEscape: false,
	    message: '<div class="text-center"><i class="fa fa-circle-o-notch fa-spin fa-3x"></i><br />please be patient ...</div>',
	  });
	 });
});

</script>